---
deprecated: true
excerpt_separator: <br />
category: technology
layout: post
title: Intel NUC, remote controls, and Fedora 22
date: '2015-10-30T18:12:00.002-04:00'
author: Anna Wiggins
tags:
- Media
- System Administration
- linux
- Technology
modified_time: '2015-10-30T18:14:24.849-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2467150110977202956
blogger_orig_url: http://www.stringofbits.net/2015/10/intel-nuc-remote-controls-and-fedora-22.html
---

I've had a fun time getting <a href="http://kodi.tv/" target="_blank">kodi</a> to work with <a href="http://www.amazon.com/gp/product/B003WM5J0O?psc=1&amp;redirect=true&amp;ref_=oh_aui_detailpage_o00_s00" target="_blank">my new remote</a> on an <a href="http://www.intel.com/content/www/us/en/nuc/nuc-kit-nuc5i3ryh.html" target="_blank">Intel NUC</a>. So, in case you're in a similar situation, here's what worked for me! These instructions are for Fedora 22 and the hardware I linked to in this paragraph, but a lot of the instructions should be applicable in slightly different situations as well.<br /><ol><li>Update your Intel NUC to the latest bios. At least on the RYH line, they fixed some problems with the IR receiver in a recent update.</li><li>In the NUC bios, make sure the IR port is enabled and set the IR controller type to "RC6". Kodi works much better out of the box with this protocol. Some of your buttons aren't going to work right, though. The hard part is fixing that.</li><li><b>Do not install lirc. lirc is an unintentional trap created by well-meaning people. It will not help you here.</b></li><li>Instead of lirc, install v4l-utils to get ir-keytable:<br /><code>dnf -y install v4l-utils</code></li><li>Now, here's why you don't want lirc: with an RC6 receiver, the kernel is going to parse your remote's input and output keyboard events. Unfortunately, many of the keysyms it sends aren't properly handled by Xorg. So, you need to remap those keysyms to working keysyms of your choice. To do that, you need exactly one bit of the process described <a href="http://forum.kodi.tv/showthread.php?tid=114124" target="_blank">here</a>. Copy the <code>/etc/rc_keymaps/rc6_mce</code> file provided by wstewart at that link, and then run the command they mention:<br /><code>ir-keytable -c -p RC-5,RC-6 -w /etc/rc_keymaps/rc6_mce</code><br />You'll need to get that command to run at startup, as well.&nbsp;I found that all the rest of wstewart's instructions were unnecessary with a modern kernel and kodi installation.</li><li>Now, fire up kodi, and bask in the glory of your remote working correctly!</li></ol>If you want to remap what some of the buttons do, you can get the scancodes with <code>ir-keytable -t</code>, then edit <code>/etc/rc_keymaps/rc6_mce</code>. See the <a href="http://kodi.wiki/view/Keyboard_controls" target="_blank">kodi keyboard shortcuts</a> page for details on what keypress you need to send. If you can't figure out what the constant name for a key is, (most of them are obvious) refer to the kernel source's <a href="http://lxr.free-electrons.com/source/include/uapi/linux/input.h" target="_blank">input.h</a>.
