---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Rambling Review: Braid'
date: '2011-06-22T08:00:00.000-04:00'
author: Anna Wiggins
tags:
- art
- video games as art
- narrative
- braid
- poetry
- video games
- Gaming
modified_time: '2013-10-22T11:19:51.084-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-7546916325849262362
blogger_orig_url: http://www.stringofbits.net/2011/06/rambling-review-braid.html
---

<em>The Rambling Review is a series where I review games, books, movies, and TV series, both new and old, in a rambling, disorganized style.</em><br/><br/>"Can video games be art?" is one of those questions that has been <a href="http://blogs.suntimes.com/ebert/2010/04/video_games_can_never_be_art.html">discussed</a> <a href="http://rogerebert.suntimes.com/apps/pbcs.dll/article?AID=/20070721/COMMENTARY/70721001">to</a> <a href="http://blogs.suntimes.com/ebert/2010/07/okay_kids_play_on_my_lawn.html">death</a>. Of course, the problem domain of defining art is a notoriously snare-laden landscape. But by almost any definition, it is clear from nearly the beginning of the game Braid that it is a conscious attempt to argue the case that video games can be art. At the very least, it is aesthetically compelling, with strongly cohesive sprites, backgrounds, music, and animations. But I would argue that it is more than just aesthetically interesting, and that it passes muster as a piece of art by almost any definition.<br/><br/>But more than that, the art direction reflects the themes and mood of the story, to say nothing of the symbolism encoded in the art. And the story emerges from and is intertwined with the gameplay. As Phil of The Nintendo Project <a href="http://projectnes.blogspot.com/2011/06/widening-gyruss.html">recently observed</a>:<br/><blockquote>[In Braid,] the story extends from the gameplay. It's a story about the passage of time, memory, and regret, but all of the aspects of the story are simply thematic meditations on things about the gameplay. When the game introduces time-locked objects, the story introduces the idea of mistakes that cannot be undone. When it introduces the ability to have a shadow Tim carry out one set of actions while Tim carries out another, it introduces the idea of regret for lives unlived.</blockquote><br/>This is something that no other game in my memory has ever done. Coupling the gameplay not just to the content of the story (such as it is), but with the emotional and psychological themes of the game. Now, every game, however devoid of life, contains emotional and psychological themes. Everything we interact with does, because our minds are founded, by definition, in psychology. We approach the world by interpreting it, even if we do it on an unconscious level. Even pong can be discussed in terms of boundaries, liminal spaces, conflict, and the repetition of actions for an arbitrary and meaningless rewards.<br/><br/>However, games like Braid are different. They are written purposefully to draw out certain themes. They are intended to have emotive content rather than simply being circumscribed by our emotional reactions to them. Another insight of Phil's, and the topic I really want to talk about with Braid, is this:<br/><blockquote>The thing about Braid that I think a lot of people miss, despite it probably being the most important thing about the game, is that it is one of an increasing number of games to operate in a lyrical mode as opposed to an epic mode. Implicit in this, of course, is the idea that the nearest textual medium to video games is poetry. And so Braid, instead of telling a narrative story about rescuing a princess, instead offers an extended poem in which video game mechanics, growing up, the apocalypse, and love are all intertwined into a... well... braid.</blockquote><br/>So, let's start with something pretty basic. Phil is discussing here a dichotomy between poetry and narrative. Now, obviously he doesn't mean poetry as an art form generally - after all, narrative poems certainly <a href="http://en.wikisource.org/wiki/Childe_Roland_to_the_Dark_Tower_Came">exist</a>. Rather, what we're talking about is a difference between two modes of writing - that is, two different things you can do with the written word. You can tell a straightforward story in which the narrative flows directly - in this mode, regardless of whether your story is allegorical or contains deeper meanings and metaphors, there is a surface level of actions that are related in some basic order. This mode, which I will call the 'narrative mode' for simplicity, is how most stories are told.<br/><br/>Another mode, though, and one that is associated in many people's minds with poetry in general, is what Phil calls a 'lyrical mode'. Narrative story is thrown out in favor of suggestive imagery and implicit connections. It is harder to tell a story in this mode, because we think of stories as following a single cause-and-effect sequence that we call its narrative. However, stories can be told like this, and Braid does so.<br/><br/>The result is a story that, while clearly a story, doesn't have a single narrative in it. There are certainly many <em>interpretations</em> of Braid, but the only one I've seen that does them justice is the one quoted above. The story is not 'a metaphor for the development of the nuclear bomb', as one interpreter suggests. The development of the nuclear bomb is certainly a clear theme, but it is not the one correct interpretation of the story. Rather, there are many interpretations of the story that are all true, simultaneously. And the writer probably didn't intend for all of them to be there - the interesting thing about writing in the lyrical mode is that you can make connections, while writing, that you weren't consciously aware of, and that others can make connections from the symbols you use that you didn't intend. It is a way of using language (and art, and music) that would seem messy to anyone who insists that a sentence only have one correct meaning, but the result is a beautiful and moving piece of art about regret, love, and the inevitability of loss.<br/><br/>Final Score: <strong>Yes</strong>