---
title: "Descending into the Depths of the Animal Well"
date: 2024-10-15
tags:
  - reviews
  - video games
  - puzzles
---
{{< imgproc "images/animal_well.png" "600x" "none" "The main menu of the game Animal Well, depicting two creepy bunnies staring into your soul." >}}Bunnies are cute, right?{{</imgproc>}}

This post contains spoilers up to and including "Layer 4" of the game Animal Well. Even explaining what that means is a bit of a spoiler. If you want to avoid spoilers for Animal Well, don't read this until you are absolutely convinced there is nothing else to do in the game. Then stop reading again if things start to sound unfamiliar.

If you've completed the game or don't care about spoilers, read on. This game isn't as sensitive to spoilers as, say, Outer Wilds, and some of the puzzles are *intended* to be solved in collaboration with other players.

<!--more-->
Animal Well is a cozy horror metroidvania puzzle game released earlier this year. (2024) It has a gorgeous retro aesthetic, complete with fake scanlines to help you remember why we ditched CRTs. When it dips into horror it lands a level of unsettling I'm surprised it's possible to hit with so few pixels. The sound design helps with that, usually subtle but always just right for the scenario.

I played this game casually for a couple days, then obsessively for several more. It was pretty easy going up through the first ending. I accidentally "sequence broke" several areas, acquiring secret bonus eggs probably earlier than intended, because I discovered the first item you get, the bubble wand, can be used to slowly hop upwards. At the time I was avoiding looking at any guides, so I had no idea whether that was an intended mechanic. (the answer appears to be "yes, but not yet" on that front)

After I "beat" the straightforward (though still delightful) Metroidvania portion of the game, (this is "Layer 1") I focused on getting all the optional eggs, (literal easter eggs) because that still seemed fun. I pacing here was perfect for me; I kept finding something new right before I became frustrated. But then, on the very last egg, I got stuck. I just could not find it, and the map is substantial and offers no hints about what extras there are to find; this is a puzzle game first and a Metroidvania second. But the game was getting unfun, so I looked up just what *zone* the egg was in. That got me over the finish line.

As I had collected eggs, the game had given me new items, which usually served the purpose of making it easier to find more eggs. But the item I got when I found the last egg was confusing; it couldn't be equipped, didn't even appear in my inventory, and I had no idea what to do with it. There was another puzzle hidden in the egg collection, but solving it just led to more puzzling hints. I decided to try and fill out the last couple spots I hadn't reached on the map. In particular, I had seen a room next to the final boss fight that I couldn't access, so I went looking for the way in. I found it quickly once I was looking, figured out how to use that item, and discovered a second ending to the game. (this is "Layer 2")

Now, two endings in, we clearly still weren't done. There were still several obvious mysteries, and the ending sequence revealed one more, one that gave me a brand new goal. Throughout my egg hunt I had discovered a few rabbits. (eggs, bunnies... the game launched just a week after Easter. Coincidence?) These rabbits all showed up in a new zone unlocked by the second ending. This zone, which we'll call "bunny island", also made me realize what I needed to do with another set of clues I had been puzzling over, nicknamed "BDTP". BDTP was a set of hints written in C-style pseudocode on a wall accessed after getting all the eggs.

{{< imgproc "images/bdtp_1.png" "400x" "left" "A screenshot of a video game showing a round creature standing in front of a blackboard with cryptic pseudocode written on it under the heading 'BDTP'" >}}A very normal video game puzzle.{{</imgproc>}}
{{< imgproc "images/bdtp_2.png" "400x" "right" "A screenshot of a video game with fluorescent colors showing a round creature standing in front of a blackboard with arrows, rabbit heads, and numbers." >}}An even more normal video game puzzle.{{</imgproc>}}

I knew as soon as I found these clues that I would be looking for something involving rabbit ears that I could decode as a 4-bit index and 2 directions. So as soon as I got to bunny island and saw a familiar flag and a couple bunnies running around, (I'd found very few bunnies at this point, just 3 or 4) the solution to this puzzle was extremely obvious to me. However, I didn't have all the data. And this was also the point where I realized how many bunnies I was missing, because a 4-bit index meant 16 possible values.

This is where I really had to start looking things up. Some of the bunnies are delightfully obtuse! They require everything from barcode scanners to actual printers attached to your computer to collaborating with 50+ other players who all only get one piece of the puzzle. I would *never* have figured some of these out on my own, even the ones that are nominally possible to "solo".

With as little help from the Internet as I could manage, I eventually got all the buns, worked out the BDTP sequence, and completed the game's "layer 3".

At this point I ran out of steam. The few remaining mysteries didn't have any obvious leads. So I spoiled myself on what the community has discovered from here: there is a 4th layer. It requires starting the game over repeatedly, completing the speedrun challenges, and performing some ridiculously unintuitive sequences of actions. This eventually leads to some secret messages from the developers. I'm ok with not going through the motions on these puzzles myself. I usually hate looking up *any* spoilers in a puzzle game, but these are obtuse enough puzzles that I'm not bothered at all.

And even after Layer 4, it *feels* like there are more mysteries. There is a small room no one knows how to access without cheating. There are patterns here and there that look like they might be deliberate. But these might just be over-active pattern-matching. I see patterns everywhere now. My dreams, my literal dreams, involve finding unlikely patterns in nature, in leaves and wind, that reveal secrets no one else has ever found. I have fallen down the Animal Well, and it's delightful.

What Animal Well reminds me of the most is the [MIT Mystery Hunt](http://puzzles.mit.edu/), an annual puzzle competition held at MIT. Those puzzles are designed around *assuming* that the solvers are collaborating in teams and have full access to the Internet; I imagine the initial thrill of solving Animal Well as a community felt very similar to a puzzle hunt. And I'll be shocked if there isn't an Animal Well-themed puzzle at the next Hunt.
