---
title: "Down Over Hurston"
date: 2023-12-04
tags:
  - video games
  - star citizen
  - fiction
---
{{< imgproc "images/on_approach.jpg" "400x" "left" "A spaceship with asymmetric wings flying over a red planet. Clouds cover part of the landscape.">}}Not my favorite place to hang out, but sometimes the views are nice.{{</imgproc>}}

*Star Citizen can be super frustrating, but it also creates some truly magical moments. Throw in a little narrative license, and it is suddenly a fantastic vehicle for story-making. Here's a little story based on one adventure from it.*

<!--more-->

&nbsp;

---

I've never been able to say no to Lily. As she sat across the table from me in that shitty spaceport bar and grinned that grin of hers, I knew I'd already lost.

"C'mon, A, it's *one job*. We track down this bounty, split the money evenly, just the three of us, and I'll be out of your hair."

I shook my head; a futile gesture, but we have to play our parts. "Why me, Lil? You so hard up you have to ask a—what was it you called me when you left? 'A failed scavenger and a failed rock-breaker'—for help?"

"Aww, c'mon A, don't be like that. You know I was really messed up about the way Mom died. Listen, nobody I know can finesse those bigger ships the way you can. I've got a Corsair on loan for this mission. Tons of firepower, but handling her in atmo is just too much for me. Not my specialty."

She was being too nice. It was suspicious. But money was still tight, especially with the insurance bill after my [last adventure]({{< ref "star-citizen-a-night-in-the-woods" >}}). It briefly occurred to me that I could get stuck like this, taking desperate jobs that end in regeneration and ever-mounting medical debt... but if this one went *well*, I'd be back on my feet with a clean slate. I hadn't seen a profit from my mining gig in ages. I decided to risk it.

Coming out of QT over the surface of Hurston, I had to admit: this ship was nice. Yeah, she handled like a brick, but compared to a lot of the industrial ships I trained on, she was downright agile. A little janky, perhaps, (Why is there an MFD just lying on the floor? Did Lily try to *fix something*? I mentally recalculated our odds of survival.) but she seemed to be in working order. She had that decades-lived-in charm that Drake ships seem to roll off the line with. Lily was in the port-side turret. Lily's latest girlfriend was in the starboard one. Lily had introduced her, but I couldn't remember her name now. Amber? Ruby? Some kind of stone.

I hit the comms. "30 klicks out from our waypoint. I hope your information is good."

"My info's always good, A. Name one time I've had shoddy intel."

"We'd be here all day. Like that time you had a great lead on four thousand SCU of self-sealing st—*shit*! We have contacts! *Five* contacts. You said there would be TWO of them, Lil!"

"And both of them are here, just like I said!" I could practically hear her grin over the staticky channel.

"And you said one of them would be a gunship like this one, not a bunch of tiny fighters. I'm counting on you two to take them out."

After that there was no time to talk, as our bounty—and apparently all of his friends—opened fire. I did my best to evade and bring our forward guns to bear on them, but they had the advantage of me. Lily and her girl returned fire, but one of them stayed stubbornly in our blind spot. They took down two ships before our shields started to collapse.

"We're in trouble here. Shields are going down. I'm going to disengage."

Lily called back, "Fuck it, I'm taking the Fury out. Open the ramp, A!"

I opened the ramp, shaking my head in despair. Moments later, Lily's little snub fighter—basically an orb with guns—zipped past my view and one of our opponents exploded. Before I could savor the moment, though, there was a bright flash and an enormous sound. The entire ship shuddered, then spun out of control. I couldn't help myself. I blacked out.

---

{{< imgproc "images/crash.jpg" "400x" "right" "A crashed spaceship on a barren red planet. A figure wearing a helmet sits at a rock near the cargo ramp. A tiny round fighter craft is parked nearby.">}}There's an ancient proverb that say 'any landing you can walk away from is a good one.'{{</imgproc>}}

I came to sideways.

The ship was on the ground, crashed at a drunken angle. Every part of my body hurt. I pulled myself out of the seat, then made may way slowly to the cargo ramp, bracing my feet awkwardly on the wall and floor. Smoke poured out of conduits and sparks sparked from consoles, but the ship didn't seem to be in imminent danger of exploding. 

The ramp was still open from Lily's exit. Her Fury was parked just past the ramp. She was sitting on a rock nearby, looking out over the red Hurston desert. The Corsair's port wings were lying some distance away from the rest of the wreck.

"Jade's dead." Her voice was flat, exhausted.

After a guilty moment, I realized she meant her girlfriend.

"Shit, Lil. I'm sorry."

"Eh, that's the life. Come on. I called for a taxi, but we gotta make it to the rendezvous."

With Lily, you usually get answers faster if you don't ask the questions. I fell in behind her, bracing myself for a long trudge through the desert. After a few minutes of picking our way through the rocky terrain, she started talking.

"The AA cannon that took you down is less than 2 klicks that way." She gestured off behind us. "We need to get some distance from it so my friend can land safely. Also, they'll probably be looking for us; they don't seem to have any more ships or we'd probably be dead."

"They had an anti-air cannon? Who the hell was this bounty?"

"Oh, just some mid-level crony from Ninetails. He—"

"You took us into NINETAILS territory? Are you insane?"

"Absolutely. I thought you already knew, with how often you tell me. Anyway, you're still alive *and* you're getting paid. What's the problem?"

{{< imgproc "images/space_uber.jpg" "400x" "left" "A small spaceship parked on a barren red plain covered with cacti and scrub brush. Its rear loading ramp is extended. A setting sun hangs in the sky." >}}The real hero of the story.{{</imgproc>}}

I sighed and lapsed into silence. We continued to hike for several kilometers, then finally saw a ship descending a short distance ahead. We ducked behind a rock, just in case this wasn't our rescue. Lily mumbled into her comms for a moment, then stood up. "Taxi's here."

A little Pisces sat on the plain, framed by the setting sun, entry ramp open. We sprinted the last quarter kilometer, climbed aboard, and threw ourselves into the jumpseats. Her friend the "taxi" driver didn't even say hi, just nodded when we strapped in and lifted off, not even waiting for the cargo ramp to finish closing. For a long while, the only sound was the Pisces' engines going full blast as it lifted us out of the atmosphere. My vision greyed out a little from the acceleration. When it cleared, Lily was staring exhausted at me across the tiny ship.

{{< imgproc "images/evac.jpg" "400x" "right" "The interior of a spaceship. Two women in spacesuits sit in seats with secure harnesses." >}}It's a rough ride, but it's better than the alternative.{{</imgproc>}}

I tried to think of something to say. She clearly didn't want to talk about Jade's death, or she would have worked in a joke about it on the hike. I ventured, "I'm sorry about your ships, Lil. Probably can't even come back for the Fury given where we crashed."

Lily grinned, though it was a bit more hollow than usual. "Oh, no worries. They were stolen."

"They were WHAT?"
