---
title: "Star Citizen: A Night in the Woods"
date: 2023-11-10
tags:
  - video games
  - star citizen
  - fiction
---
Star Citizen is an incredibly weird game.

{{< imgproc "images/train_station.png" "450x" "right" "A video game screenshot of a character standing in a train station, looking at a sign that says 'Train Arriving in 0:30'" >}}Riveting gameplay.{{< /imgproc >}}

I often describe it as "a game I deeply enjoy that I would never recommend to anyone else." It is next-level buggy. It has a weird, arguably predatory business model. It is the single biggest example of [scope creep](https://en.wikipedia.org/wiki/Scope_creep) I have ever seen. Nearly everything in the game is shoddily half-implemented because the scope creep means they've never done a real polish pass. The zealous dedication to (sci-fi inflected) realism means that you spend an awful lot of time traveling. (on the planet-side cities you even have to *wait for the train*, which I have to say just makes me avoid the planet-side cities as much as possible) And it's been in alpha for a decade, with no signs of a stable release any time soon.

But it scratches some very particular itches—mining, salvaging, hauling goods around the star system—better than any other game I've ever seen. If you want a game that gives you the specific experience of living and working in a space opera, it just presses those buttons really well. This "industrial" gameplay is one of my favorite ways to unwind when I just need something soothing and repetitive. It's like meditation, but with flightsticks and laser noises.

Like most spaceship simulators, the game also has combat, both ship-to-ship and FPS action. This usually doesn't appeal to me very much. But the other night I teamed up with a couple friends to check out one of the bounty hunting missions the game has to offer. The result was a buggy mess of an experience that was frustrating as hell, but also had a couple moments that sent so much dopamine racing into my brain that I wrote a blog post about it. Which you are now reading. So if an after-action report for a naff space game sounds like a good time, read on. The story has been changed very slightly for narrative flow, but it all happened more or less like this.

<!--more-->

***

We met up at the city of New Babbage on the planet Microtech.[^1] After a quick trip on the train to the city center and its gun shop, I was kitted out in more firepower than I've ever carried in my life.

{{< imgproc "images/hangar.png" "450x" "left" "A video game screenshot of a character standing in front of a spaceship." >}}Old reliable in her hangar.{{< /imgproc >}}

Next, back to the spaceport, and the leader of our operation led us to their ship, a venerable Cutlass in mostly decent condition.[^2] We climbed aboard, me riding in the turret in case we met trouble on the way. I'm usually the one one in the pilot's seat, so it was a delightful change to just spin the turret around and watch the scenery. Before long we found ourselves cruising down onto the dark side of the planet, at a location my HUD flagged as "Ghost Hollow." Apparently this is a wrecked spaceship that has been converted into a camp used by outlaws.

{{< imgproc "images/turret.png" "450x" "right" "A video game screenshot of a first-person view inside a spaceship's gun turret. The turret looks out on a futuristic snowy cityscape." >}}Taking in the sights.{{< /imgproc >}}

The ship's lights revealed a snowy forest. In the distance, fires burned, just barely revealing the outline of a large structure sitting at an odd angle. We touched down in a clearing, filing out of the ship and into the cold, dark night.[^3]

We advanced through the forest, crunching through the snow and sliding down embankments as we made our way towards the firelight in the distance. About half way there, the forest ahead of us lit up bright as day, and we looked up to see a huge gunship hovering in the sky, lights sweeping the forest for signs of movement.[^4]

"Go dark!" The call came crackling through our comms, and we quickly flicked our lights off and crouched behind some trees. The light of this interloper swept away from us, and for a moment, we thought we were safe. Then, the sound of gunfire and explosions as the newcomer found our ship.

{{< imgproc "images/forest.png" "450x" "left" "A video game screenshot of a character standing in a snowy forest, lights from her ship illuminating the trees." >}}Moody AF.{{< /imgproc >}}

Without an easy way out of the situation, we pressed onward, lights off and ready to dive for cover if the ship swept back our way. We made it to the outlaw's encampment without further incident, but with the increasing suspicion that they now had backup, if they were here at all.

We carefully explored the camp, finding no current signs of life but lots of signs of recent occupation. As two of us investigated the inside of the crashed ship, we heard a shout from our lookout and a burst of gunfire, then silence.

Now, we knew we were being hunted. We continued creeping along the dark corridors until we ended up on top of the ship, crouched low and straining our ears and eyes for any sign of our foe. After several tense minutes, we spotted a flicker of movement down on the ground, in the shadows at the edge of the firelight. Before we could react, though, there was another burst of gunfire and my remaining companion went down. I raised my own gun and fired off several shots, but I'm no soldier.[^5] I'm not even a security specialist. I just got roped into this mission because money was tight and I owed someone a favor.

I didn't even hear the shot that took me out. My last thought as my vision cut out and I slumped over the railing was "I've never gone through regeneration before. I hope it doesn't hurt." (it does)

[^1]: The planets currently in the game are all owned by corporations, in the sort of satirical Libertarian dystopia common in space opera.
[^2]: First they tried to summon a much more combat-oriented ship, which promptly plummeted through the planet in the first of what will prove to be many bugs. A few minutes later, it happened again, and then they settled for the much smaller ship with considerably less firepower.
[^3]: This is where I encountered my first bug - I can't access my inventory, which means I can't put my helmet on. I spend the rest of the encounter hearing my character shiver in the cold and relying on the flashlights of my teammates, which honestly just makes what follows even more atmospheric.
[^4]: This was one of the most atmospheric and dramatic moments I have *ever* experienced in a video game. The scale of that ship in the sky, compared to us on the ground, was an astonishing moment. The fact that this was just another player, probably come to collect the same bounty we were, made it more intense. This was the best moment in the entire scenario, and it was just... emergent gameplay. I've narrativized it a bit here so the story flows better, but it was a hell of an experience either way.
[^5]: And the last bug before we wrap up; instead of aiming down the sights, my character animated wrong and I ended up looking through my own arm, forcing me to fire blindly. Which was actually pretty fitting given my characterization as a non-combantant industrial freelancer.
