---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: 5 things I hate about Fedora 10
date: '2009-01-14T11:14:00.000-05:00'
author: Anna Wiggins
tags:
- linux
- Technology
modified_time: '2013-10-22T11:19:50.623-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-812129618914046645
blogger_orig_url: http://www.stringofbits.net/2009/01/5-things-i-hate-about-fedora-10.html
---

Every release of Fedora feels like a step in the wrong direction.  I don't say this lightly - I use Fedora at work and at home; it is my primary operating system.  I have staunchly supported it in the face of critical Ubuntu fans for a while now.<br/><br/>First, a little background.  I switched to Fedora from a mixture of gentoo and slackware around the time I started my <a href="http://www.redhat.com">current job</a>, since it was far easier to keep track of one package management toolset, and several things about gentoo's packaging system had started to irk me.  The current release of Fedora at the time was 7.  I have been using it since, usually upgrading to new releases (via a clean install) about a month after they release.<br/><br/>My needs are simple, but apparently elusive to Fedora.  I use fluxbox as my window manager.  I prefer to perform all of my system configuration from the command line.  My graphical application use is minimal (firefox, games, pidgin).<br/><br/>Let's explore the problems I've noticed have started creeping in, starting with the release of fedora 8.  My solution/workaround for each problem is included, if I have one.  For what it is worth, I realize that some of these could be the result of 3rd-party packages (such as Nvidia's proprietary drivers).  However, if any of these are the result of user error, then the solution should rightly be easy to find by searching documentation, which I have done extensively in every case.<br/><br/><a name='more'></a><br/><h2>1. Pulseaudio</h2><br/><em>Pulseaudio... I hate the word</em><br/><br/>This one heads the list because it's the problem I've had to deal with most recently.  I have been lucky in that pulseaudio plays nicely with the sound cards on all 3 of my Fedora machines (others have been less fortunate).  However, I was stuck with audio far quieter than what I had grown used to in gentoo.<br/><br/><strong>Solution:</strong> I finally discovered that pulseaudio has its own volume settings, independent of the ALSA-level audio device.  You can adjust the hardware volume levels with either of these commands:<br/><blockquote><code>alsamixer -Dhw:0<br/>alsamixer -c 0</code></blockquote><br/>It would be nice if this were clearly documented somewhere.  There are some vague hints on <a href="https://fedoraproject.org/wiki/SoundTroubleshooting">this page</a>, which is what pointed me in the right direction.<br/><br/>Thankfully, pulseaudio is no longer quite so painful when dealing with apps that only talk to ALSA.  I noticed some popping in certain applications, though (Neverwinter Nights, for one).  pasuspender seems to work around this, but the fact that this is necessary is kludgy.<br/><h3>2. GDM</h3><br/><em>The thousand injuries of GDM I had borne as best I could; but when he ventured upon insult, I vowed revenge...</em><br/><br/>GDM in Fedora has been upgraded to the latest upstream from the gnome team.  The problem with this version of GDM is that it removes almost all of its configuration options.  They have crippled it thus <a href="http://live.gnome.org/GDM/2.22/Configuration">intentionally</a>, and while they claim the removed options were "obsoleted due to redesign", it seems that some of the options were dropped to prevent users from doing stupid things.<br/><br/>This Lowest Common Denominator approach is fine for a default configuration, but it should always be possible to change the default behavior.  Removing the ability to customize it entirely is not only against the spirit of open source software and Linux, it is insulting to the users.  It feels as if the team responsible for GDM thinks they know better than I do when it comes to configuring my machine.<br/><br/>In my case, the default behavior that troubles me is the fact that GDM passes the +accessx option to X.  Gnome includes a daemon that can override the accessx behavior (namely, enabling sticky keys if you hold shift down too long).  KDE includes a similar tool.  Fluxbox, however, has none - it assumes (justly) that you can turn off the accessx option at the X11 level if you don't want it.  The new GDM denies you this ability, however.<br/><br/><strong>Solution:</strong> Switched to KDM, which doesn't seem to enable +accessx by default.  I tried XDM first, but it has SELinux errors and fails to launch fluxbox.  Also, KDM looks much nicer.  Alternately, I could have booted into runlevel 3 and then used startx, but I've become a fan of the graphical login prompt.<br/><h3>3. Upstart</h3><br/><em>The name says it all</em><br/><br/><a href="http://en.wikipedia.org/wiki/Upstart">upstart</a> is the new init system in fedora; a replacement for the aging sysVinit.  In theory, upstart is great - gives you much more granular control over what processes should happen at each runlevel, and may eventually replace /etc/init.d entirely.  In practice, however, it has a rather annoying problem: sometimes it fails to respawn the ttys when in runlevel 5.  This problem doesn't seem to be present in runlevel 3, for whatever reason.<br/><br/><strong>Solution:</strong> no real solution at present, but you can work around it with <code>initctl start ttyX</code><br/><h3>4. rsyslog</h3><br/><em>Hey... Listen!</em><br/><br/>The traditional syslogd has been replaced with rsyslog, a much more powerful/configurable syslog daemon.  However, it seems to dump all kernel output to the console.  The default configuration doesn't include any statements that should be logging to the console, so it could be caused by something else.  Either way, the problem is present.<br/><br/>You can test this from any fedora machine: it seems to happen on every F10 box I can find.  Just press Ctrl+Alt+F2, then plug in a USB flash drive.  This is annoying on its own, but is especially frustrating when combined with #5, below.<br/><br/><strong>Solution:</strong> none<br/><h3>5. PCI-Express device errors</h3><br/><em>Or How I Learned to Stop Worrying and Love X.org</em><br/><br/>On my PCI-Express video card, I receive constant error messages, both in messages and on the console (see #4, above).  These happen whenever the screen is cleared or switched to.  In other words, Ctrl+Alt+FX will generate one of these, sometimes two.  Running 'less' generates the errors.  So does the 'clear' command.  emacs and vi both trigger the error.  Each instance of the error takes up about 25% of the screen's real estate.  This makes operating on the command line extremely difficult.<br/><br/><strong>Solution:</strong> None yet.  I suspect this may be related to the Nvidia drivers; in that case, a future update may fix these errors.  I'll give Fedora the benefit of the doubt where I can.