---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'D&D Post-mortem: Getting creative with your mage hands'
date: '2011-07-02T08:00:00.000-04:00'
author: Anna Wiggins
tags:
- dungeons amp; dragons
- game balance
- Yord
- Gaming
- narrative approaches
modified_time: '2013-10-22T11:19:51.100-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2010059013721016642
blogger_orig_url: http://www.stringofbits.net/2011/07/d-post-mortem-getting-creative-with.html
---

<em>In D&amp;D Post-mortem, I talk about my experiences running D&amp;D 4e games, about 4e as a whole, and about collaborative storytelling in general.<br/></em><br/><br/>Our most recent D&amp;D session was pretty short - a small amount of cave exploration, and a single encounter. During that encounter, however, a few things happened that highlighted two fundamentally different approaches to roleplaying games. The scenario in question was this: the party's Wizard wanted to use Mage Hand to disarm an enemy spellcaster. I had several objections to this idea:<br/><ol><br/>	<li>The enemy spellcaster isn't likely to give his wand up without a fight. Assuming, for the sake of argument, that we want to make rules for this attempt, it seems reasonable to me that a Mage Hand would have a Str 2, and would have to make an opposed grab roll, with at least a -5 penalty for the act of snatching an object out of the opponent's grasp.</li><br/>	<li>It sets a nasty precedent. If we allow such a simple and repeatable disarm, the game ceases to be challenging. Following this to its logical conclusion, well - the characters' actions don't happen in a vacuum. Word of this tactic would get around (indeed, if such a tactic worked, it would likely already be in widespread use). People would start creating defenses against it - locking gloves, magical barriers, whatever. It would necessitate an arms race between the setting and the character that would potentially alter the landscape of my setting in a way that's not very appealing to me. I'm all for player characters leaving their mark on the world, but I don't much care for this reactive manner. This would also make enemies with natural weapons fundamentally more useful, which would reduce the amount of variety in encounters. Which, I suspect, isn't something anyone wants.</li><br/>	<li>There simply are no printed rules for disarming an opponent. More importantly, I believe this was an intentional design decision on the part of Wizards of the Coast. A disarmed opponent is effectively defeated; so disarming an opponent is something that you should only be capable of doing when an enemy is reduced to 0 hit points (as anything that is tantamount to defeat should only be possible when the enemy is actually beaten, i.e. deprived of hit points).</li><br/></ol><br/>Now, I brought up the first objection during play, and the player countered with 'well, the enemy spellcaster would be surprised by the Mage Hand suddenly appearing'. By that logic, it seemed to me that arrows from a concealed target should always hit their targets, and enemies should likewise be able to surprise and completely defeat the PCs with a good stealth check. That doesn't sound like a good logic to use when running a combat to me. In a combat situation, everyone involved is, to borrow a quote from <a href="http://alexandraerin.livejournal.com/69027.html">Alexandra Erin</a>, "exceptional combatants trying very hard not to get killed". I didn't raise the second objection directly, nor did I think of the third until I'd had some time to think about it.<br/><br/>And it's the third point that I really want to focus on, because it highlights, as I said above, a fundamental divide in how one approaches gaming. On the one hand, you have an approach that focuses on simulating a realistic world (albeit with high fantasy-style magic and other trappings of the genre) in as much detail as possible. This is called (or, at least, I am calling it) <em>simulationist</em> roleplaying.<br/><br/>Simulationist gaming systems tend to be heavy on rules. A game with rules that govern everything a player can possibly do is accurately described as simulationist. This is the style of gaming that leads to damage location, rules to determine exactly where missed arrows end up (and whether they break), and a very precise set of rules governing how magic works in the setting (and categorizing it, explaining how different types of magic do or don't work together, etc). Simulationist games give you rules for how good your character is at any skill common to the game world, from fighting to cooking, or, gods help us, crafting. If you haven't spotted it yet, I'm culling all of my examples from D&amp;D 3e, because it is a heavily simulationist game. Earlier versions of D&amp;D were also heavily simulationist.<br/><br/>Simulationist games tend to encourage attempts to find creative loopholes. Because there is a rule for nearly everything, and everything is spelled out in as much detail as possible, it naturally supports the sort of thinking that leads to "well, the spell doesn't say it <em>can't</em> do this...". This, to me, is one of the biggest downsides of simulationist gaming, because it turns the game into a meta-game. Instead of playing a Wizard wandering through the world, destroying your enemies and impressing your friends with your magic, you're playing a game where you carefully read the spell description to see if you can twist the words to use the spell in a new, advantageous way.<br/><br/>The other style of roleplaying, which I will refer to as <em>narrative</em> roleplaying, involves a greater focus on the narrative of the game, and on the broad themes of the world, without getting bogged down in detailed rules that ensure the game is carefully confined by a rule. In a narrative game, there is not likely to be a table to roll on to determine the quality of the bread baked by a local baker. Narrative-focused game systems tend to be as rules-light as possible, defining the areas that require arbitration (such as combat) and getting out of the way otherwise. Narrative systems also have a tendency to encourage reinterpreting the rules in ways that don't effect their mechanical structure. D&amp;D 4e and the entire White Wolf canon are good examples of games with a narrative focus.<br/><br/>The interesting thing about games with a narrative focus, or at least D&amp;D in particular, is that there is a disconnect between the rules and the diegetic game world that doesn't make sense from a simulationist perspective. For example, look at Second Wind. Second Wind operates diegetically on the principle that you take a moment to center yourself, to quickly bandage a wound, or to just take a 'breather', and thereby gain the stamina to keep fighting. Notice first that any of those things could apply narratively - you might do one or all of them, or something else that is analogous, as the situation warrants. But more importantly, you can only do this once per battle. Why? What makes bandaging a wound the first time extend your ability to keep fighting, but bandaging a wound again ineffective? It's the same action; shouldn't it have the same consequences?<br/><br/>The reason is that the rules account for things outside your character's control. A battle is chaotic, and you don't get many opportunities to step back and take stock of the situation and get your feet back  under you. Such a chance comes rarely - let's say only once in a brief struggle of 10 rounds or so. Using Second Wind doesn't simply represent an action that your character takes - it also represents your character taking advantage of things that are beyond her control, such as an ebb in the rhythm of the fight, to take a quick break and recover some stamina. As the player, the rules are giving you a limited ability to control things that are beyond your character's control, <em>for the sake of the narrative</em>.<br/><br/>Encounter and daily powers work the same way. The ranger power <em>Split the Tree</em> is a daily power. The simulationist model would suggest that this doesn't make sense unless the ranger has some sort of mystical ability that they can only tap into once per day that gives them the power to fire two arrows at once. The narrative approach gives us a way out, though: the ranger could fire two arrows any time she likes, but she doesn't get an opening, or time to line up the shot, every round. That sort of opportunity only comes once in a while - hence, a daily power. The player gets the ability to decide when that opening and free time show up, but it can only happen a maximum of once per day. This is completely an arbitrary restriction imposed by the rules; for the sake of game balance, you can only do these things a limited number of times within the framework of the narrative. It is a concession to drama over realism.<br/><br/>This is especially noticeable in the rules on magic item daily powers. No matter how many magic items you're carrying around, you can only use 1 magic item daily power per day (at the heroic tier). This isn't because the magic items share a pool of magic; rather, it is because the narrative and the game balance demand that these things be used sparingly. A warrior who relies on his magic items and shows no sign of actual combat prowess is, well... Tony Stark. And Tony Stark is a tool.<br/><br/>Here's another way to explain the fundamental difference between the two approaches: in a Simulationist game, the rules encapsulate the character. In a Narrative game, the rules encapsulate the narrative. And having said all of that, I'm still not certain I've made my point, which is that I prefer games like D&amp;D 4e precisely because they encourage dramatic narrative thinking instead of simulationist thinking. The narrative approach gives you two important freedoms. First, you can make a balanced game without having to jump through contortionist hoops to explain why wizards and rogues have roughly the same level of power. Second, and more interestingly, they give the players a lot more room for creative expression - you can slap any narrative description or explanation on top of an existing rule, and as long as it doesn't change the mechanics, you have nothing to worry about.<br/><br/><em>If you want to learn more about my homebrew setting of Yord, or follow the antics of the PCs, check out <a href="http://epicwords.com/campaigns/1629">my campaign</a> at Epic Words.</em>