---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'D&D Post-mortem: I wanna cast ''magic missile''!'
date: '2011-06-12T10:00:00.000-04:00'
author: Anna Wiggins
tags:
- combat roles
- dungeons amp; dragons
- game balance
- power types
- Yord
- Gaming
- skill challenges
modified_time: '2013-10-22T11:19:51.092-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-1229543583152662803
blogger_orig_url: http://www.stringofbits.net/2011/06/d-post-mortem-i-wanna-cast-missile.html
---

<em>In D&amp;D Post-mortem, I talk about my experiences running D&amp;D 4e games, about 4e as a whole, and about collaborative storytelling in general.<br/></em><br/><br/>When D&amp;D 4e was launched, I was highly skeptical. I joined the vocal legion of gamers who saw it as a move towards MMO-like game mechanics and immersion-breaking shallow gameplay, and as little more than a money grab by Wizards of the Coast. However, after reading several posts by Alexandra Erin <a href="http://alexandraerin.livejournal.com/tag/dungeons%20and%20dragons">on the subject</a>, I decided to give it a try. Her insight into the game's design decisions convinced me that there might be something worth trying.<br/><br/>As I began playing around with the rules, creating sample PCs, NPCs, encounters and sketching the rough framework for several stories, I began to see that 4e had a lot of promise. I spent a good deal of money buying source books, and started looking to get a game together. I finally got a game going, albeit with a very small number of players (only two of them!). I set this game, as I do all of my D&amp;D games (dating back to 2nd edition), in my homebrew setting of Yord.<br/><br/>So, we finally got together and played what I am going to affectionately refer to as our first two gaming sessions. In practice, this was actually four shorter sessions, but I digress. Here are some impressions of 4e, and things that I learned from these first sessions.<br/><br/>I don't really know how to structure skill challenges. My character-driven approach to running games means that building skill challenges in advance is difficult, at least early on before the story has begun to take shape. Building them on the fly is difficult, too, and they tend to end up feeling contrived and kludgy, not to mention a bit of a slog to get through. Hopefully designing these well will become easier as I gain experience with the system.<br/><br/>Combat encounters, by contrast, are a joy to design and to run. It is easy to scale back encounters to account for fewer PCs, and encounter design in general is faster and less haphazard than in previous editions. It gives me more time to focus on making interesting tactical scenarios, place difficult terrain and other interesting aspects of the encounter.<br/><br/>I also love the game's focus on making traps and hazards into part of an encounter. Lone traps always seemed tedious more often than they are interesting, and this makes it easy to put in the requisite traps to make a dungeon feel like a dungeon without leading to the depressing "disarm the next pit" slog. Interesting traps that deserve time to allow the PCs to pore over and tinker with them can still be encounters of their own, but most traps can now be seamlessly incorporated into combat, where they actually make things more interesting.<br/><br/>Another thing I love about 4e, and this is something that D&amp;D has needed for a long time, is the concept of Power Types and Combat Roles. The roles neatly encapsulate what the 'core four' classes have always done - fighters look big and dangerous so that the fight will concentrate on them, rogues slip in to deal tons of damage to single targets, clerics provide buffs and healing, keeping the party alive and together, and wizards mop up the smaller targets so that everyone else can focus on the bigger threats. Someone at Wizards finally realized that these four roles, while important and useful, were somewhat arbitrarily tied to their class concepts. In 4e, the 'Power Type' has been divorced from the Role, so that there are classes that encapsulate the cleric's healing and buffing abilities, but are rooted in martial or arcane themes.<br/><br/>This makes it a lot easier to create a character <em>concept</em> first, and then implement it according to the game mechanics. The general effect is that 4e makes it very easy to provide your own flavor without affecting the game balance - in general, the <em>de facto</em> rule is that 'anything that doesn't affect the game mechanics is fair game, unless your DM disapproves'. This encourages much more creativity and narrative flair than previous editions.<br/><br/>And yet, for all of the flexibility and useful decoupling of combat roles vs class theme, the system excels at ensuring that a given character is basically functional, and has a cohesive set of powers. This is something I noticed while running battles; they did a pretty good job of making sure everyone can be useful in combat. No more 'I was a wizard but now I am tired' effects, to steal a quote. This is an advantage over more piecemeal systems like GURPS, Savage Worlds, or D&amp;D 3e - it's pretty hard to build a useless character.<br/><br/>So, those are my general impressions of 4e after a couple sessions of play. Now let's look at some anecdotes from my session.<br/><br/>During character creation, both of my players settled on Arcane classes - a Wizard and a Warlock. I rounded out the party with a DM-controlled companion character; a gnomish Arcane Leader. He is basically a Bard, but I chose his powers to play to the Gnome Illusionist trope. This party seems to work pretty well; I used a kobold raid on the town to test-drive the combat system, and things went well. I then used the companion character to drive a simple story - he offered looting rights in exchange for helping him recover a statue from some nearby goblins.<br/><br/><em>An aside on my DMing style here: I play a heavily character-driven style. Where some DMs would railroad the party for the sake of the story, I will sacrifice the story for the sake of the party's actions. If they had chosen to turn Mim down, he would have gone his way while they continued on theirs. This DMing style has its disadvantages (notably, it requires a lot of improvising!), but it has some strong advantages as well. It creates the feeling from the outset that the characters' actions actually have an impact on the story. I build the story around those actions, largely in terms of causal consequences. I do begin to practice a subtle railroading as the story develops - it often becomes easy and logical to put the story in front of the characters, and then simply observe how they deal with it. At any rate, most people seem to like this style of game, based on the feedback I've gotten in the past.</em><br/><br/>So, our next combat encounter occurred at the entrance to the goblins' den. A few goblins were guarding the entrance; the party fought them off, but at least one escaped into the complex. Reasoning there was probably at least one other entrance, and that the bulk of the goblins would be through the main entrance, the party Wizard decided to blast the cave ceiling with magic missiles until it collapsed. This was my first serious blunder as a DM in 4e, I think - I said no to this idea. In retrospect, it was narratively interesting, tactically interesting, and there wasn't a terribly good reason to say no. Given the imminence of goblin reinforcements, it was actually a great time for a skill challenge - Arcana and Dungeoneering checks to bring the cave down. After realizing this, I (much later) retconned the encounter and allowed that the cave had been partially collapsed.<br/><br/>These first couple of sessions were promising, and 4e looks like a system that is well-designed. It leaves a lot of room for creativity without being so free-form as to lose its sense of cohesion.<br/><br/><em>If you want to learn more about my homebrew setting of Yord, or follow the antics of the PCs, check out <a href="http://epicwords.com/campaigns/1629">my campaign</a> at Epic Words.</em>