---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Decentralizing Second Life
date: '2006-11-09T18:23:00.000-05:00'
author: Anna Wiggins
tags:
- open source
- video games
- Gaming
- Technology
modified_time: '2013-10-22T11:19:50.521-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-4815979953876330393
blogger_orig_url: http://www.stringofbits.net/2006/11/decentralizing-second-life.html
---

So, I've been thinking about <a href="http://www.secondlife.com">Second Life</a>, and it occured to me that it's being done entirely the wrong way.  Don't get me wrong; I enjoy SL, and have no qualms with the experience itself.  It's the underlying scheme it's built on that bothers me: one company controlling all the servers, one company responsible for keeping everything running smoothly.  It seems to me that all technologies built on that model eventually fail on the Internet, while distributed technologies (Web, email, usenet) thrive.<br/><br/>To that end, I've been thinking about how Second Life could be successfully decentralized, without adversely affecting the experience that everyone has come to know and love.  I've identified key elements of the user experience that would be difficult to decentralize, and possible ways to handle them.  First, though, we'll talk about the basics; how could decentralization even work.<br/><br/>First, LL releases the code for the Second Life server.  Now, anyone who wants to can host a Second Life sim/sims of their own on a server.  A central repository would keep track of the existing sims, in a vaguely similar fashion to DNS (see The Grid, below).  This would allow Second Life to grow without bound, with sims run by a multitude of companies and even home users.<br/><br/>So, how do we keep that Second Life experience without the centralized monolith of Linden Labs?<br/><br/><strong>Economy</strong><br/>First and most importantly, the Second Life economy must be preserved.  The economy has become the most crucial element to the experience; the ability to use real money, diluted down to a virtual quantum, to purchase other users' custom created content.  This breaks down into two sub-problems:<br/><br/>a) Managing the money.  The most likely way to do this would be to set up a "bank", wherein a single host (or several different hosts) manages all of the banking transactions.  I'm thinking basically a system like paypal, where you buy L$ ("Linden Dollars", Second Life's currency) from the bank, or sell $L back to the bank for real currency.  Each SL server would use this central bank system to check a user's account balance, and make withdrawals/deposits, with proper confirmation on the part of the user, naturally.  A public/private key system to ensure the user actually sent the confirmation could prevent abuse here, so no worries on that score.  The SL bank could even be controlled by Linden Labs, as this would be a lot easier to handle than the entire grid, and still give them opportunity to have a strong stake in their creation.<br/><br/>b) Protecting Intellectual Property.  This is a tricky problem, and the single hardest element to decentralizing SL.  Since a huge portion of the money in SL is traded for users' creations, there must be a way to prevent them from being stolen.  Under a decentralized scheme, when a user rezzes an object on a sim, all the data for that object (textures, sounds, scripts) would necessarily be available to the owner of that sim.  The most obvious solution I can find for this is to keep the object data elsewhere, and have a rezzed object be a pointer to that data.  The advantage is that compiled scripts, raw texture data, and sound files stay on a secure server independent of their rezzed location.  But where is this mystical server?  I see two options here: either the data is on another sim, perhaps the user's "home sim" (see User Accounts, below), or the data is in a central "asset server" (essentially the way SL works right now).  Using the former approach, the client would have to make tons of connections to different servers to get all the data.  Under the latter, the asset server would have to be extremely load-tolerant and robust, and all the data is stored by the same group of people, whose ethical integrity the SL user base would have to trust implicitly.  Since both of these are flaws in the *existing* Second Life system, however, it is acceptable for the hypothetical exercise we're attempting here.  Also, under either system the sim owner's creations could be stored on-sim for lower lag.<br/><br/>One other solution would be to create some DRM scheme that encrypts this data until it reaches the client.  Of course, in all of these cases the client could be modified to steal the data.  However, here we again reach the fact that these flaws are already inherent in SL, and there's no easy way around them.<br/><br/><strong>The Grid</strong><br/>The ability to bring up a map and scroll around, or teleport instantly to another part of the world, is an exciting part of SL, and another crucial part of the SL experience.  Fortunately, the Internet already has a great system that we can build on - DNS and hyperlinking.  We simply define 2 kinds of link:  "landmarks" and "neighbors".  Each sim can have 4 neighbors, and neighbors must mutually agree to be neighbors (for a neighboring to work between sim A and B, A would have to set B as a neighbor and vice versa).  The neighboring agreements would be stored in a central server system, modelled on DNS.  A few recursive calls to this system and each sim can cache a portion of the overall grid map.  Want a private island?  Simply don't neighbor your sim with any others.  This creates user-level "peering agreements" that could create a more logical terrain (snowy areas linked together, etc) even if the landscape does shift from time to time.<br/><br/>The other kind of link would work just like landmarks in the current SL system.  Pretty self-explanatory, except this system would make "click to teleport" objects a necessity, finally.<br/><br/>If a user searches for a sim on the map, the client can grab that sim's cache of neighbors, and display more of the grid.  The client could be configured to keep any amount of that information cached locally, for a more immersive experience.<br/><br/><strong>User Accounts</strong><br/>There are two ways to handle user accounts: a centralized account server, or a sim-based account system.  Under a centralized server, all accounts would be handled by, say, LL.  This simplifies the system greatly, and aids in managing the asset server.  With "home sims", you'd have a system similar to Jabber, where user accounts are essentially user@home_sim.  I believe the centralized system will work best, given that the asset server system seems to be the most logical way to do things.<br/><br/><strong>Instant Messages</strong><br/>Well, LL is currently planning to re-implement the IM system in Jabber, so we're pretty much covered there :P<br/><br/>So, in summary, we have a system that uses a centralized server for accounts and user-created assets, as well as a DNS-like neighboring system to create the world map, but grids are controlled by individuals, and hosted by companies just like web servers are now.