---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: Languages of Skyrim
date: '2012-04-26T02:30:00.000-04:00'
author: Anna Wiggins
tags:
- Old Norse
- Skyrim
- grammar
- Gaming
- language
modified_time: '2013-10-22T11:19:51.916-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2733512241258830694
blogger_orig_url: http://www.stringofbits.net/2012/04/languages-of-skyrim.html
---

Can we still talk about <a href="http://en.wikipedia.org/wiki/The_Elder_Scrolls_V:_Skyrim">Skyrim</a>? I mean, I know it's been out for a while now, and a lot of people have moved on. But I'm still playing it, and enjoying the vast explorable terrain, hundreds of quests, and terrible, hilarious bugs.<br/><br/>As I've been playing, I've noticed that they've really tried to turn the production values up to eleven. The terrain feels a lot more detailed, the voice acting is improved (and there are more voice actors), the quests are more detailed and varied, and the game is sprinkled with non-human languages. Notably, the Dragon Language (spoken, obviously, by dragons, and also by the ancient Nords) and the Falmer Language (the Falmer are a race of elves who became blind underground monsters) get considerable attention in various storylines in the game.<br/><br/>But for all that attention, the actual language construction has... mixed results. And since I occasionally like to tear things apart and nit-pick them to death, I thought I'd discuss what they've done, and where it succeeds and where it fails.<br/><br/><h3>Building Imaginary Languages</h3><br/><br/>A spoken or written language that is created intentionally (as opposed to most natural languages, which develop organically) is called a <em>constructed language</em>, or <em>conlang</em>. These can be created as fictional languages (well-known examples include <a href="http://en.wikipedia.org/wiki/Klingon_language">Klingon</a>, <a href="http://en.wikipedia.org/wiki/Na%27vi_language">Na'vi</a>, <a href="http://en.wikipedia.org/wiki/Quenya">Quenya</a>) or intended to be used in the real world (<a href="http://en.wikipedia.org/wiki/Esperanto">Esperanto</a>, <a href="http://en.wikipedia.org/wiki/Solresol">Solresol</a>, <a href="http://en.wikipedia.org/wiki/Toki_pona">toki pona</a>). Someone who creates constructed languages is often referred to as a <em>conlanger</em>.<br/><br/>Conlangers are often seen as eccentric nerds who are wasting their time and skill. However, they are employed with increasing frequency by big media producers who want consistent, realistic languages in their fictional universes - Klingon is an early example of this. And, of course, Tolkien is the grandfather of self-indulgent conlanging, creating at least a dozen languages, many with etymological histories, 'older' forms of the language with traceable roots, and an amazing attention to detail. Sure, he told some stories, but that was mostly just to give his languages somewhere to live.<br/><br/>Real-world conlangs are often made with optimistic and lofty goals: Esperanto (a fairly early constructed language), for example, was designed to be "an easy-to-learn and politically neutral language that transcends nationality and would foster peace and international understanding between people with different regional and/or national languages" (http://en.wikipedia.org/wiki/Esperanto). So, world peace through language. Sadly, 125 years on, we still seem to have a lot of war. Likewise, toki pona is designed to "shape the thought processes of its users, in the style of the Sapir–Whorf hypothesis in Zen-like fashion" (http://en.wikipedia.org/wiki/Toki_Pona).<br/><br/>But on to Skyrim...<br/><br/><h3>The Falmer "Language"</h3><br/><br/>The Falmer language is a disappointment. I know it only comes up significantly in one quest line, but still... it's not even remotely a language of its own, just English text written with an <a href="http://imperial-library.info/content/galluss-encoded-journal">alternate alphabet</a>. Basically, a monoalphabetic <a href="http://en.wikipedia.org/wiki/Substitution_cipher">substitution cipher</a>. I think I might have preferred untranslatable gibberish to this.<br/><br/>I mean, it's not that hard to whip together just enough of a constructed language for one quest. I'm not asking for much here, just something a tiny bit more sophisticated. Watch how much we can do in just a few minutes:<br/><br/>Start with the grammar. We can make arbitrary decisions here - no one's going to fault us for such a simple use case. Let's pick an SOV word order, with simple inflectional markers for genitive and plurals. Say, add 'i' to any word to make it genitive, and 'o' to make it plural. Words ending in vowels take 'ti' and 'to'. Simple enough. We'll also say that the language uses a fairly simple structure, with short sentences and a minimum of relative clauses. Where prepositional phrases occur, we will let them retain their natural English word order unless there is some obvious reason to use SOV.<br/><br/>So, take the first sentence of the original encoded text. In our new language (keeping English vocabulary for now, but simplifying a bit) it looks like:<br/><br/>MERCER FREY MYTI EVERY STEP ELUDES.<br/><br/>The next step would be to make up some vocabulary; there aren't that many words used in the original text, so it should be pretty easy to cook that up. Even an amateur conlanger like me could make something at least mildly interesting in just a couple of hours. And more importantly, it would give us a translated text with a consistent feel (it would flow like a natural language) but without falling back on something quite as obvious as basic substitution. And tools can automate a lot of our work - if we keep the original text simple enough, we could even just use sed or perl (or another search/replace solution) to do most of the heavy lifting.<br/><br/>You could argue that it is Gallus' 'encoded' journal, but the story makes a big deal about the fact that it was written in Ancient Falmer, which is So Terribly Hard to translate and makes it super secure. Anyone, given a few hours, could work out "he's used some other alphabet to write words in my language".<br/><br/>And sure, there are a lot of quests, and I don't know how big their design team was. Maybe a couple hours was too long to spend fleshing this out. But it's still a disappointment. I suppose decoding the message is a nice easter egg, but an easter egg that required digging deeper would have been more interesting to me.<br/><br/><h3>Dragon Language</h3><br/><br/>The <a href="http://elderscrolls.wikia.com/wiki/Dragon_language">Dragon Language</a>, on the other hand, is used much more extensively - there are numerous writings in it throughout the world, the dragons and draugr will speak in it (as combat taunts, in particular), and the protagonist (along with several NPCs) can use special 'shouts' that are formed from words in the language.<br/><br/>With increased visibility came an increased attempt to make a language that makes sense. While the dragon language, like Falmer, has its own <a href="http://elderscrolls.wikia.com/wiki/Dragon_Alphabet">script</a>, the script isn't just used to encode English; every time that script appears, it translates into something intelligible in the Dragon Language.<br/><br/>And the resulting language is a lot more interesting than Falmer. The grammar is very similar to English, but not identical. Word order is almost the same, but plurals inflect differently, and there is no case system (at least not that we see in the game), which is a bit lazy and feels like the result of a rushed production schedule.<br/><br/>Obviously we have a very small vocabulary available - there isn't *that* much written or spoken Dragon Language in the game. But still, some of the word forms are interesting. One that struck me on an initial overview is one of the most well-known and widely used words, <em>dov</em>. <em>Dov</em> means 'dragonkind', as in the entire race of dragons. The word for a single dragon is <em>Dovah</em>. Now, <em>ah</em> means 'hunter', but "hunter of dragonkind" doesn't feel right. So, this isn't a simple compound word. I suspect the conlanger was going for 'ah' here being rooted in <em>aan</em>, the indefinite article in Dragon Language, with some morphological drift (which is especially likely with very common words, and since 'dovah' would basically be the dragons' word for 'person', this is likely). This is an impressive touch - it shows that some real attention to detail was paid when choosing words for the vocabulary (instead of the usual fantasy conlang approach of 'string syllables together more or less at random').<br/><br/>Looking at the wider vocabulary, the language tends to form a lot of compound words, in a manner similar to German. I initially thought that some of its vocabulary was pulled from either Old Norse or modern Icelandic, but on further inspection I think that's just random collision. The pronoun system is suitably complex as to feel natural. It is also quite distinct from English.<br/><br/>Another thing worth remarking on is that the Nords are a visibly Scandinavian people. The word Draugr, for instance, is an Old Norse word, although it is used a bit incorrectly in Skyrim (the word is used similarly to 'mummy' in Skyrim, but the original meaning is closer to 'zombie' or perhaps 'revenant'). So, I am assuming that the Dragon Language is intended to sound Scandinavian, because it does. Even without obviously basing its vocabulary on any Scandinavian language, it pulls off the trick of really sounding Norse. The creators of the language have a good ear for phonology.<br/><br/>If I have one real criticism of Dragon Language, it's the name. We don't have anything better than 'Dragon Language' to work with. Either <em>Dov'um</em> or <em>Dovzul</em> would have been decent choices. Both can translate roughly to 'dragon voice'.<br/><br/>Like I said above: Bethesda really pushed the production values on this game. There is a lot of wonderful attention to detail that shines through in this game. The Dragon Language is a good example of that.