---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Linux on the Desktop - a partial solution
date: '2007-07-24T09:56:00.000-04:00'
author: Anna Wiggins
tags:
- linux
- Technology
modified_time: '2013-10-22T11:19:50.555-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-3632174936213313356
blogger_orig_url: http://www.stringofbits.net/2007/07/linux-on-desktop-partial-solution.html
---

Lately, I've read a number of "Windows user tried Linux for a week and hated it, and this is why" articles.  Then, while holding back the urge to scream during a Windows XP install, it hit me: we're holding a double standard, here.<br/><br/>In the last year, whenever someone talks about "whether Linux is ready for the desktop", the complaints that always crop up revolve around the fact that a user can't throw in a Linux install CD, click next a few times, and have a fully functional desktop environment in half an hour.  Several things plague these proverbial users: the lack of mp3 support is probably the most problematic now, as is the lack of 3d graphics support.  The complaints further, er... complain, that the user has to know what she is doing to enable/install all of these components.<br/><br/>What most people overlook, though, is that installing Windows is no cakewalk, either.  Windows ships with almost no real video or audio hardware support - everything must be downloaded from 3rd party websites, and more importantly, the user has to *know* what vendor website to go to, and how to navigate the vendor's site (with some vendors, that can be a real pain!).<br/><br/>So now, let's be fair.  I'm taking a Windows XP install, out of the box, and comparing it side-by-side with an Ubuntu Linux install.  Okay, here goes.<br/><div style="font-size:14pt;">Ubuntu Linux</div><br/><div style="font-weight:bold;">No mp3 support</div><br/>As a user, I have to install several non-free packages, which means changing my available repositories and running a few commands (or using the graphical tool).  If I prefer the less-questionably-legal route, I would purchase <a href="http://www.fluendo.com/">Fluendo</a> (28E for their entire set of plugins, with perputual updates, as of this writing.  Still about 1/4 the price of Windows' most basic version), and follow their instructions to install it.<br/><br/>Of course, I also have to *know* about these options.  A quick google search ("MP3s in Ubuntu") and a forum gives me the answer, in step-by-step format.<br/><div style="font-weight:bold;">No 3d graphics acceleration</div><br/>This is even easier.  All we need is to install the nvidia-glx or xorg-driver-fglrx packages, depending on the card.  They're also in the restricted repository, but we've already enabled it previously.  If we hadn't, the google search "3d graphics in Ubuntu" gives us the correct answer immediately.<br/><div style="font-weight:bold;">No flash player</div><br/>Another quick google search turns up the answer, as always with step-by-step instructions.<br/><br/>And, that's it.  Everything else I need to do to be productive is already provided by Ubuntu: web browser, office suite, multimedia software.  Note: I never had to restart Ubuntu during this whole process.<br/><div style="font-size:14pt;">Windows XP</div><br/><div style="font-weight:bold;">No audio</div><br/>First, I have to figure out the name of my audio chip, which Windows doesn't tell me.  All Windows will say is "Unknown Multimedia device".  By booting Linux and running lspci, I discover it's a C-Media chip, and go to their website.  I have to give them the exact chip model number, and they give me a driver to download.  I have to restart Windows.<br/><div style="font-weight:bold;">No 3d graphics acceleration</div><br/>Again, the video controller is just called an "Unknown display adapter".  Foreknowledge tells me I have an Nvidia Geforce 6600 GT.  I go to Nvidia's website (much easier to use than C-Media was), and get the driver.  I have to restart Windows.<br/><div style="font-weight:bold;">No flash player</div><br/>Well, this one installs automatically.  Doesn't even need a restart!  1/3 isn't bad, I suppose.<br/><div style="font-size:14pt;">The Conclusion</div><br/>What's the point of this exercise?  Am I trying to say Windows is teh sux0r?  No, that's not my message today.  I could extoll the myriad problems with Windows that make Linux a better option (spyware, viruses, openness and all the benefits thereof, etc), but that's not the point.<br/><br/>The point is this:  when it comes to installation, Linux and Windows are roughly equivalent in complexity.  Linux has its installation issues; so does Windows.  They tend to break roughly even, in my experience, although Linux has a much more readily available support structure in the form of community forums.  But both OSes require a lot of user knowledge in order to get up and running.  They assume you already know how to do things.  What they really assume, underneath, is that<br/><div style="font-weight:bold;">a technical person is doing the install.</div><br/><div style="font-size:14pt;">The Solution</div><br/>Most Windows users never install their OS; some technician installs it, either OEM at a factory, or at the local computer shop, or the in-law programmer who gets drafted for technical work (ahem...).  Linux users have seldom known this luxury; instead, whenever someone talks about Linux, they assume that the end user is doing the install.<br/><br/>The solution is to treat Linux installation the way we treat Windows installation.  Someone who Knows What They Are Doing (tm) sets up the OS and delivers it to the end user.  One practical advantage for the Linux community is that all the time spent on fancy installers could be channeled elsewhere (not to say we don't like our hardware auto-detection, et al.  But a curses-based menu is just fine, thanks).  Make Linux installation work like OS installation always has before: technical users install their own OS, everyone else leaves it to the techs.<br/><br/>At least don't hold us to a double standard.