---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: Self-indulgent musings on total knowledge strategy games
date: '2008-12-23T11:44:00.000-05:00'
author: Anna Wiggins
tags:
- go
- chess
- hnefatafl
- Gaming
modified_time: '2013-10-22T11:19:50.595-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-5897165812515549966
blogger_orig_url: http://www.stringofbits.net/2008/12/self-indulgent-musings-on-total.html
---

Total knowledge games are games in which all players involved have equal knowledge of the current state of the game, and the only factor that influences the game's future state is the actions of the players.  <a href="http://en.wikipedia.org/wiki/Chess">Chess</a>, <a href="http://en.wikipedia.org/wiki/Go_(game)">Go</a>, and <a href="http://en.wikipedia.org/wiki/Hnefatafl">tafl</a> are three such games that I play periodically.<br/><br/>Recently, I pondered a fairly simple question: which of these games is the most complex?  All of them are complex enough that new players have room to become stronger over time.  Skill in these games has been traditionally praised as a virtue by each game's culture of origin.  So, which game provides the greatest depth as a topic of study?<br/><br/><a name='more'></a>Before I consider the differences in the level of complexity of these games, let's look at how a few basic elements of the games compare.  This will give us a fuller understanding of the factors that contribute to the games' complexity.<br/><h3>Symmetry</h3><br/>Chess and Go have in common that they are symmetric games - both players have the same resources at their disposal, and seek the same goal.  In chess, the pieces for each player are arranged similarly at the start of the board, and each player tries to capture the other player's king.  In Go, the board begins empty of pieces, and capturing territory is the goal for both players.  In both of these games, neither player has a handicap evenly matched opponents will have an equal chance of winning.<br/><br/>Tafl, on the other hand, is asymmetric.  One player, the defender, controls a king and his bodyguards, and tries to flee to one of the corners of the board.  His pieces begin the game arranged in the board's center.  The attacker, on the other hand, has his pieces along the four sides of the board.  He also outnumbers the defender 2-1.  Tafl also favors the defender; if two equally skilled players play each other, the defender is nearly guaranteed victory.<br/><h3>Board Size</h3><br/>Tafl and chess are played on fairly small boards - 8x8 for chess, and anywhere from 7x7 to 13x13 for tafl.  The most common tafl board sizes appear to be 9x9 (Tablut) and 11x11 (Hnefatafl).  I will be contemplating a hnefatafl board here, because that is the size on which I most commonly play.<br/><br/>Go, on the other hand, is played on a 19x19 board. This means that, in general, far more moves are possible at any given time in Go.<br/><h4>Spaces vs Intersections</h4><br/>While we're talking about boards, I will pause briefly to discuss spaces and intersections.  In Go, your pieces are played on the intersections of the lines.  In tafl and chess, your pieces reside in the spaces, or squares, between the lines.  This fundamentally makes no difference at all.  You could make a grid of 8x8 intersections instead of 8x8 spaces, and play chess on it.  It would feel unnatural, perhaps, but only because you would be accustomed to the other convention.  Likewise, you could play Go on a board of 19x19 spaces.  In fact, some variants of tafl were played on a grid of intersections, such as Alea Evangelii, a tafl game played on a 19x19 board (you could, in other words, use a modern Go board to play Alea Evangelii).<br/><h3>Capturing</h3><br/>Go requires a player to surround an opponent's stones and 'cut him off' from all open spaces.  Capturing, however, is not the point of the game, only a strategic element.  This is also fundamentally true of tafl and chess; the ultimate goal is to surround the king; the capturing move is not strictly necessary.  Tafl's capture rules are less straightforward than chess; you must 'flank' an opponent's piece (place your pieces on opposite, orthogonal sides of the opposing piece) to capture it.  The king must be surrounded on all four sides (in most variants).<br/><h3>Construction vs Destruction</h3><br/>In chess and tafl, players begin the game with all of their pieces in place; pieces can be captured, but new pieces will never be added to the board.  In a sense, they are destructive games; the forms which are in play at the beginning can change and be eliminated, but nothing new ever appears in play.<br/><br/>By contrast, Go is a constructive game.  The board begins completely barren; players add pieces until the board is full of pieces surrounding empty territories.  Pieces can be captured, but the overall trend during play is toward a fuller board.<br/><h2>Complexity</h2><br/>So, how do these games compare to each other in terms of strategic complexity?  Go has a lot going for it in terms of complexity.  First, it is played on a large board, meaning there will always be more moves to consider.  In addition, the constructive nature of the game means it is legal to play in nearly any open space at any time.  This means that the number of possible moves in Go will always be much greater than the other two games.<br/><br/>Additionally, the strategic elements within Go are extremely intricate.  Opening moves can impact the later game dramatically, and individual 'battles' (sequences of moves on a small section of the board) have countless patterns and scenarios that players must be comfortable with.  Capturing an opponent's stones isn't always a good idea; often, nothing prevents your opponent from immediately capturing even more of your stones (and thus gaining territory) in return.<br/><br/>By stark contrast, chess and tafl have a fairly small number of legal moves.  For example, in chess, there are only 20 possible moves on the first play.  The average number of possible moves for a given chess game is something in the range of 32.  Tafl provides more possibilities than chess, even with fewer pieces; since all tafl pieces can move any number of spaces orthogonally, the attacker (who plays first) has 116 possible opening moves.  The defender's first move has 120 possibilities.  Go, by comparison, has 361 possible opening moves.<br/><br/>In terms of capture rules, it is not clear to me whether tafl's capture mechanics, which are more involved than those of chess, make the game simpler or more complex than chess' straightforward captures.  In chess, the capture rules require you to keep track of more information, since each piece has a more complex influence on holding territory.  Go, however, is the clear winner here as well, as capturing can be extremely intricate - often when trying to capture a group, you may limit your own liberties and end up being captured yourself.  A significant portion of the game's strategy involves creating arrangements of stones that cannot be captured.<br/><br/>Ultimately, my observations and subjective experience suggest that Go is the most complex of these games.  It has an amazing number of possible permutations, and a very simple ruleset that nevertheless lends itself to an immense number of factors that must be considered.<br/><br/>Between chess and tafl, the numbers seem to favor tafl.  The asymmetry,  larger board, and larger number of possible moves seem to make it more sophisticated.  However, as long as the game is skewed in favor of the defender, the complexity may mean very little in the end.  Mostly from subjective experience, I would estimate that tafl is the more numerically complex game, but this experience may be skewed by the fact that so many of the possible moves in chess have been so well mapped.  The complexity of tafl also depends heavily on the specific tafl game and board size.  Even subjectively, I can't come to any real conclusion here.