---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Tabletop Roleplaying over the Internet
date: '2011-06-08T10:00:00.000-04:00'
author: Anna Wiggins
tags:
- open source
- dungeons amp; dragons
- epic words
- maptool
- Gaming
- teamspeak
- Technology
modified_time: '2013-10-22T11:19:50.989-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2780052587121914531
blogger_orig_url: http://www.stringofbits.net/2011/06/tabletop-roleplaying-over-internet.html
---

I have been playing tabletop roleplaying games since a fateful day when I was 13. I had gone with a friend to play Magic: the Gathering at a local video game shop that also happened to sell Magic cards. One of the players mentioned a gaming group starting up at the local Media Play.<br/><br/>Curious, my friend and I got a ride over to Media Play. There, I found a pretty large group of people playing Magic. I also saw an interesting sight: some people with books, funny shaped dice, and little painted figures arranged on a square grid. I watched for a few minutes, and quickly got the gist of what they were doing. I asked if I could join. The response? "Sure, we need a cleric."<br/><br/>Thus began a hobby that has spanned half my life and cost a great deal of money. I have played a number of systems: World of Darkness, Cyberpunk 2020, Shadowrun, Rifts, Call of Cthulhu, Star Wars (the older edition that used d6s), homebrew systems created by various friends. But I always come back to D&amp;D. It was my first system, and it remains my favorite through three editions of the game. In a lot of ways, it has grown with me.<br/><br/>In the last few years, though, I haven't had many chances to play D&amp;D. I was skeptical of 4e at first, and then spent a lot of money buying 4e books after Alexandra Erin convinced me of its merits in her <a href="http://alexandraerin.livejournal.com/43316.html">repeated</a>, <a href="http://alexandraerin.livejournal.com/44950.html">impassioned</a> <a href="http://alexandraerin.livejournal.com/67583.html">blog</a> <a href="http://alexandraerin.livejournal.com/69027.html">posts</a> <a href="http://alexandraerin.livejournal.com/110210.html">about</a> <a href="http://community.wizards.com/alexandraerin/blog/2010/07/21/hors_de_combat_-_what_does_0_hp_mean">it</a> (all of those links are excellent reading, even if you already know you like 4e). I sat on these purchases for months, planning games, even getting some people to make characters. But no game formed; the other players either didn't have free time, or I didn't have free time, or we were too far away.<br/><h3>The Search for a Gaming Table</h3><br/>Eventually I found a little free time to bring a game together, and since I couldn't solve the problem of my friends' lack of free time, I started looking to solve the problem of people who had free time, but were too far away. So I started looking for a solution to playing D&amp;D over the Internet. Namely, what I needed was something known as a virtual tabletop. I started out with simple requirements: free is good, open source is even better. Since there was no good overview or comparison of the existing virtual tabletop options, I decided to make one. I'll describe, briefly, why I didn't pick each one (until I get to the one I *did* pick, of course).<br/><h4>OpenRPG - frustratingly deprecated</h4><br/>Years ago (about 10 of them), I tried using WebRPG as a virtual tabletop. I remember it having a somewhat cumbersome and over-engineered interface, and being frustrated with it on many levels. Still, it was the first thing in my memory, so it's the first thing I looked up. Turns out it went open source a while back, and is now called <a href="http://www.rpgobjects.com/index.php?c=orpg">OpenRPG</a>.<br/><br/>Unfortunately, this was a non-starter. OpenRPG is written in Python (yay!), but doesn't work with Python 2.7, which is the <em>de facto </em>standard in Fedora. I didn't want to maintain a separate Python install for just one program (this is possible, but would be a pretty big hassle to set up), so OpenRPG was a bust.<br/><h4>Screen Monkey - expensive and cumbersome</h4><br/>The next program I discovered was Screen Monkey. Once again, Alexandra Erin was instrumental in this - she mentioned using it for her online games. Screen Monkey has one big advantage - for the players, it is browser based, so only the DM needs to install any client software. Unfortunately, that software only runs in Windows. So, I found an old install disk for Windows XP, and installed it as a virtual machine using <a href="http://www.linux-kvm.org/page/Main_Page">KVM</a>. Then I installed <a href="http://www.nbos.com/products/screenmonkey/screenmonkey-lite.htm">Screen Monkey Lite</a>.<br/><br/>More bad news, though. Screen Monkey Lite turns out to be rather light on useful features. The biggest problem is that you can't save your work - you have to buy the $35 version of the program to save and restore a session. The tools for hiding what the players can see was also fairly awkward. Awkward, in fact, is the word I would use to describe the program's feeling as a whole. NBOS are terribly proud of their software ($35 proud) only to be outdone by multiple free and open source competitors. Sounds like <a href="http://www.adobe.com/">some</a> <a href="http://www.microsoft.com/en-us/default.aspx">other</a> <a href="http://www.avid.com/US/products/family/pro-tools">software</a> <a href="http://www.oracle.com/index.html">companies</a> I know.<br/><h4>Gametable - RIP</h4><br/><a href="http://gametable.mornproductions.com/Index">Gametable</a> looked promising, but doesn't seem to be actively developed (there was a sourceforge project available a while back, and remnants of it are <a href="http://gametableproj.sourceforge.net/Gametable/Home.html">here</a>, but it seems to be dead now), and it didn't work very well for me.<br/><h4>Fantasy Grounds - pretty, but overpriced</h4><br/>Next up is<a href="https://www.fantasygrounds.com/"> Fantasy Grounds</a>. I didn't even try the demo once I saw the price tag - $40 for the DM-capable client, and $24 each for the players' clients. One of my hard requirements is that my <strong>players</strong> not have to spend any money on the solution, so this one was right out. For a more affluent group, though, it might be a great solution. I will concede that it is gorgeous, and looks very well polished. Certainly a better contender for your money than Screen Monkey. And it has acknowledged, if unofficial, plugins for various game systems, including D&amp;D 4e.<br/><h4>MapTool - the right balance</h4><br/>Eventually, I found MapTool, one of the applications created by the <a href="http://rptools.net/">RPTools</a> team. MapTool originally didn't impress me - it seemed cumbersome and unwieldy. After working with it for a while, though, I found that most of its design decisions make sense, and that it is very powerful. Like most powerful toolkits, it is subsequently pretty complicated, and using it effectively took some practice. However, once I got the hang of it, it's unbeatable. It's more stable than any of the other open source offerings, and it runs well out of the box. It lets you use fog of war, individual player views (based on available light sources), and it lets you make maps in advance but have them hidden from the players until you are ready to show them.<br/><br/>Also invaluable was <a href="http://forums.rptools.net/viewtopic.php?f=33&amp;t=15663">Dorpond's 4e framework</a>. This is a set of configuration settings and macros that work together to make MapTool work well with the D&amp;D 4e rules. I have modified his macros a bit to fit my particular play style (notably, I prefer to let players roll their own initiatives), and am continuing to do so as I playtest them. You can find my latest version of the framework <a href="http://stringofbits.net/annas-4e-framework/">here</a>.<br/><br/>Also, three caveat with maptool:<br/>1. The network functionality doesn't work with OpenJDK. Linux users will want to install the Java JRE instead. In Fedora, I just installed the jre RPM from <a href="http://www.java.com/en/download/linux_manual.jsp?locale=en">Sun's website</a>, then edited MapTool's startup script and added 'export JAVA_HOME=/usr/java/default' and 'export PATH=\$JAVA_HOME/bin:\$PATH' near the top of the file.<br/>2. When starting a server, if you do <strong>not</strong> select 'Use Individual Views', the GM will not see an accurate version of the player's view.<br/>3. When you have tokens in the initiative list, players can only move their token on their own turn. Trying to move when they don't have initiative will send them into an annoying endless loop of NullPointerExceptions. I'm hoping this gets fixed soon by the MapTools team, because it's an obnoxious bug. Luckily, MapTools is Open Source - I may take a crack at finding that bug myself.<br/><h4>D&amp;D Virtual Table - still cooking</h4><br/>Wizards of the Coast has recently announced a beta version of their own virtual tabletop - called, simply enough, <a href="http://www.wizards.com/dnd/Tool.aspx?x=dnd/4new/tool/virtualtable">D&amp;D Virtual Table</a>. It is only available to select D&amp;D Insider subscribers. And, since D&amp;D Insider is not worth the price for me personally (a topic worthy of an entire post unto itself), I have no idea whether it is any good. It would also certainly require every player to have their own D&amp;D Insider subscription, so it breaks my stated rule. Still, it might be something to keep an eye on.<br/><h3>Adding Voice</h3><br/>So, now that we had a game table, we needed a way to talk to each other. Luckily, there is a readily available, cross-platform solution to this: <a href="http://www.teamspeak.com/">TeamSpeak</a>. Now, TeamSpeak isn't open source, and it is not free if you want to host multiple teamspeak servers on one machine (or have more than 32 clients connected). But it's great for a D&amp;D game, which would never need those resources. It's dead simple to set up the server in Linux, and the permissions management is very intelligent (and again, dead simple).<br/><br/>Let's look at the options I didn't choose for voice chat: <a href="http://www.skype.com/intl/en-us/home">Skype</a> relies on a central server, and has a history of iffy privacy practices. <a href="http://www.ventrilo.com/index.php">Ventrilo</a> offers a Linux server, but no Linux client. And the voice chat available in various Instant Messaging programs is either unreliable, or doesn't work in Linux either. So, TeamSpeak it is, and it works great.<br/><h3>Passing Notes</h3><br/>The last thing I needed was a way to present textual information to the players. I do a lot of world-building and writing background material, and I want to make sure that is available to the players (at least, the publicly revealable parts). I also want to be able to give them things like notes that they might acquire, and possibly conduct some roleplaying between sessions if a session ends during downtime.<br/><br/>There are plenty of ways to simply share files, and these would be adequate. <a href="http://www.dropbox.com">Dropbox</a> could be used, especially for image files. <a href="https://docs.google.com/">Google Docs</a> seemed like a pretty good way to share documents with players. After considering it for a while, I discovered a site called <a href="http://www.epicwords.com">Epic Words</a>. Epic Words gives you a journal system, so players can post in-character summaries of game sessions; this also works well as a means to deliver chunks of story-based text such as notes, riddles, etc. in a way that the players can easily access and remember.<br/><br/>Epic Words also has wiki-like functionality, and lets you define "references", including NPCs and places, that will be linked automatically when mentioned in a blog post. This is an especially useful feature, because it lets me, as the DM, add content to the players' writings without actually changing their creative work. It also gives you a private forum, which is perfect for the kind of between-session downtime roleplaying I have in mind.<br/><br/>Epic Words' biggest problem is that it only allows you to run a single campaign without either upgrading, 'retiring' the existing campaign, or deleting it. And even with the upgrade, there doesn't appear to be a way to share references / wiki content between campaigns (I don't know this for sure, because I can't really test that, but it appears to be the case). If I were running multiple campaigns, there is a slew of generic world history and other setting information I would like to share between campaigns. If you could make wiki pages independent of campaigns and then 'link' them in, that would be ideal. As it is, I happen to only be running one campaign at the moment, so I will have to cross that bridge if and when I come to it.<br/><h3>Final Thoughts</h3><br/>In the end, I ended up using three tools to interact with my players: MapTool, TeamSpeak, and Epic Words. I like this solution because it is very Unix-philosophy friendly - each tool serves one purpose. MapTool acts as our tabletop, TeamSpeak is how we communicate, and Epic Words gives us a handy place for wrap-up/reference/between-session play. The overall experience is pretty excellent; this is a good way to play D&amp;D. It is better than I was hoping for, and even surpasses actual face-to-face play in some ways (I would love to find a way to use MapTool with a projector for face-to-face play).