---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: The Decentralized Metaverse
date: '2009-08-24T22:50:00.000-04:00'
author: Anna Wiggins
tags:
- second life
- metaverse
- drm
- Gaming
- Technology
modified_time: '2013-10-22T11:19:50.712-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2802076291360759399
blogger_orig_url: http://www.stringofbits.net/2009/08/the-decentralized-metaverse.html
---

Several years ago I <a href="http://stringofbits.net/2006/11/decentralizing-second-life/">mused on the decentralization</a> of <a href="http://www.secondlife.com">Second Life</a>, Linden Labs' virtual world.  Shortly after that post, I dropped out of the metaverse entirely for more than a year.<br/><br/>While I was off not paying attention, it seems that almost all of my predictions have come true.  An open-source server for running a simulator and/or grid, <a href="http://opensimulator.org/wiki/Main_Page">OpenSim</a>, has been created.  OpenSim appears to have solved many of the problems, and implemented many of the predictions, of my post from 2006.<br/><br/>One "problem" that remains, though, is economy.<br/><a name='more'></a><br/>The problem I outlined in my original post was that without a robust permissions scheme, economy would break down.  Looking back, this seems terribly unlike me.  Even in 2006, I had a strong dislike for anything that reeked of <a href="http://en.wikipedia.org/wiki/Digital_rights_management">Digital Rights Management</a> (DRM) even for the me that wrote that post.  The permissions scheme employed by Second Life, after all, is just a DRM scheme.  Like all DRM, it attempts to keep the user from using the things they purchase the way they would like, and like all DRM it is ultimately futile.<br/><br/><h3>Economy on a Closed Grid</h3><br/><br/>On the Second Life grid, you use real money to purchase virtual goods, which might have any of a number of permissions associated with them (modify, copy, and transfer).  This permissions scheme is enforced by the fact that Second Life's grid is a walled garden; Linden Labs controls the asset server, so your data all exists in their hands.  They safeguard it, preventing nefarious users from copying your creations.<br/><br/>Except, not really.<br/><br/>Like all DRM, this scheme just plain can't work.  It can't.  It violates information theory.  It is mathematically impossible to give something to someone and then keep them from having it.  This is a corollary to the <a href="http://en.wikipedia.org/wiki/Have_one%27s_cake_and_eat_it_too">Law of Cake</a>.  I will elaborate.<br/><br/>For the Second Life viewer (aka client software) to render the object, it needs a copy of the object.  This copy is necessarily sufficient to reproduce the object.  Since any viewer that can speak the protocol can connect to Second Life, all you have to do is create a viewer that copies the object data being sent to it.<br/><br/>In fact, exactly <a href="http://wiki.secondlife.com/wiki/Help:CopyBot#CopyBot">such a viewer</a> has been written.  Linden Labs responded to this viewer's existence by appealing to their Terms of Service.  Whenever a user is caught using CopyBot, they are banned from Second Life.<br/><br/>In other words, there is no technical solution, only a social/legal one.  This is because DRM is fundamentally flawed; it is trying to achieve the impossible.<br/><br/>Even without CopyBot, you could just decode cached objects from the official viewer's data cache.  Programs have also been created which do this as well, although they are harder to use than the infamous CopyBot.<br/><br/>The point of all this is that the assumption that the Walled Garden protects your Intellectual Property is simply false.  As with the rest of the Internet, piracy is a given.  Anyone creating and distributing content on the web must start with that assumption.<br/><br/><h3>Economy on an Open Grid</h3><br/><br/>I haven't explored OpenSim enough to determine whether it supports any sort of monetary transaction, but let us assume that it does.  In other words, assume that you can, via direct credit card payments or via a virtual currency, purchase virtual goods.  Even if you can't do this yet, I have little doubt that OpenSim will support it eventually.<br/><br/>Now, let us further assume that I connect to OSGrid via a region that I run myself.  This means that I control my own asset server, where my inventory resides.  If I purchase an object with restrictive permissions on another region, a copy of that object will be transferred to my asset server, where I can simply log in via mysql and change the permissions.  Now, I can create multiple copies of this object, or give a copy to someone else.<br/><br/>What I have done here is to defeat DRM, just like CopyBot.  It's considerably easier, and much harder to detect.  However, in practice this is no less secure to the Intellectual Property owner than Second Life's walled garden.  It still requires a reasonable level of competence (running your own grid/sim) to exploit, so piracy is likely to be similar in rate.  Of course, the open metaverse has no Terms of Service (although individual grids/regions within the metaverse may).  But the technical merits are the same; when looking at the threat of piracy, the open grid has the same basic properties as the closed grid.<br/><br/>Of course, even without our own asset server, we could still use the same techniques to copy data that I described for the closed grid.  CopyBot and copying assets out of cache work identically on an OpenSim grid.<br/><br/><h3>Not a problem</h3><br/><br/>Okay, so the economy "problem" isn't really a problem, just a fact of life.  In the words of the OpenSim folks:<br/><br/><blockquote cite="http://opensimulator.org/wiki/Hypergrid_Security"><br/>[The existence of piracy] is the kernel of the belief that open grids are hopeless for a virtual-goods economy. DRM discussion aside, maybe they are hopeless. But then, everyone thought the web was hopeless for selling music, and look at the success of iTunes in spite of all the piracy that still exists out there.<br/></blockquote><br/><br/>I am not proposing that piracy is good in any way, merely describing how it is inevitable.  You simply cannot restrict how users will use the things you buy.  You can't keep someone from copying digital data, if they are determined enough to do it.  You can use restrictive terms of service and try to sue or press charges, but there will never be a technological solution.<br/><br/>So, to current and potential content creators shying away from the open grids: piracy is an unfortunate fact of life.  It will happen.  Start with that assumption, and work from there.  If this means you don't want to create digital content, I'm sure the creative community will miss you.  If, however, you realize that some people will appreciate your work enough to pay for it, without worrying about the details, then you are in the company of some <a href="http://www.jonathancoulton.com/">fine artists</a>.