---
deprecated: true
excerpt_separator: <br/>
category: technology
layout: post
title: Thoughts on the Transhuman revolution
date: '2009-07-03T05:56:00.000-04:00'
author: Anna Wiggins
tags:
- transhumanism
- Technology
modified_time: '2013-10-22T11:19:50.602-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-898649080911079486
blogger_orig_url: http://www.stringofbits.net/2009/07/thoughts-on-transhuman-revolution.html
---

I've been reading a lot of near-future science fiction and speculative nonfiction lately, and as a result I've been contemplating the idea of transhumanism and what it means for us as a species and a culture.  <a href="http://en.wikipedia.org/wiki/Transhumanism">Transhumanism</a> is decently defined by wikipedia, and has been explored in fiction by <a href="http://www.accelerando.org/">Charles Stross</a>, <a href="http://www.tor.com/index.php?option=com_content&amp;view=story&amp;id=2993">Cory Doctorow</a>, and others.  It has been discussed extensively in the non-fiction sphere as well: <a href="http://www.kurzweilai.net/index.html?flash=2">Ray Kurtzweil</a> is probably the most well-known thinker discussing the topic.  However, while Kurtzweil discusses the possibilities of <a href="http://en.wikipedia.org/wiki/Strong_AI">AI consciousness</a> and the emergence of the <a href="http://en.wikipedia.org/wiki/Technological_singularity">singularity</a>, I am more interested in transhumanism in this article.<br/><a name='more'></a><br/><h3>Defining Transhumanism</h3><br/>For semantic clarity, I'm going to define what I mean by transhuman, because my definition and connotations may differ from yours.<br/><br/>A 'transhuman' is someone who augments reality with technology at a constant and unconscious on nearly unconscious level.  The key concept here is that transhumans use technology to augment reality.  This helps avoid the temptation to define any tool-user as a transhuman; a primitive man with a spear is more capable at hunting than a primitive man with his bare hands.  A person driving a car is more mobile than a person walking.  A person who watches a movie while browsing <a href="http://imdb.com">IMDB</a> on their iPhone knows more about the movie than someone watching it passively (though the passive viewer may well be enjoying the movie more).  By our definition, the iPhone user comes close to transhumanism.  We might call her a proto-transhuman.  However, these is still significant effort involved; she must look away from the movie and focus on her iPhone to search IMDB.<br/><br/>So, where are we now?  Some people (early-adopting geeks, for example), already consider quick access to information to be something like an extra limb; as one of those affected with this feeling, I can vouch for it.  Are we transhuman or not?  Again, we're on the way there, but we haven't yet achieved the fluidity of control and automation needed yet.<br/><br/>As for where we're going next, let's begin by discussing how we got where we are.<br/><br/><h3>The Evolution of Information Access</h3><br/>For the majority of human history, access to information has been difficult.  Even after the invention of the printing press, one had to have either a personal library or access to a public library.  Information could be obtained, but not in a timely manner; poring over books was the purview of academia.  And even academics could only access this information when they were actually at their libraries.<br/><br/>As a result, the human brain has been the only way to store a significant amount of information for quick retrieval.  As a storage device, the brain is not that great; storing something permanently requires multiple writes (our recall of a fact is better the more times we have heard it).  It can be finicky at retrieving information; everyone who has ever had something 'on the tip of their tongue' can attest to that.<br/><br/>The next revolution in storage was electronic storage; in other words, computers.  Of course, early computers couldn't hold a ton of information, but more importantly; that information was still stuck in one location.  To look up a fact on a computer, you had to physically travel to the computer with the information on it (or to a terminal connected to that computer; typically, these needed to be pretty close to the mainframe).<br/><h4>Enter the Internet</h4><br/>And here we come to the revolution; the Internet allows us to access virtually any piece of information from any computer in the world.  And with the information searching miracle we call Google, we can usually find that information very quickly.  Of course, the original problem with the Internet was that you still had to get to a computer to use it.  The solution?<br/><br/>Smaller computers.<br/><br/>Laptops, to be precise.  Laptop computers allowed us to connect to the Internet, and its massive store of information, anywhere we could find a phone line.  With the emergence of wireless networking, all we need is a wireless signal.  However, laptops are big, and cumbersome to use in a hurry; if I'm in the midst of a conversation and need to recall a fact, it takes several minutes to get my laptop powered on and connected to the Internet.  The solution?<br/><br/>Smaller computers.<br/><br/>Cellular telephones have evolved from foot-long bricks that required external power to pocket-sized devices with <a href="http://en.wikipedia.org/wiki/Touchscreen#Capacitive">capacitive touchscreen</a> interfaces.  These phones can also connect to the Internet, play music and games, function as e-book readers, scan bar-codes and do real-time price comparison, and perform myriad other tasks.  They can access any information from any location that has cellular service.  This is the first real step toward ubiquitous information access.  However, these devices can still be somewhat cumbersome to use.  The device must be fetched from a user's pocket, then interacted with for quite some time to get the information you want.  If you want this information in the middle of a conversation, it can be fairly cumbersome.  The solution?<br/><br/>Smarter computers.<br/><br/><h4>The current state of the art</h4><br/>Immediate mastery of a wide array of information was once a symbol of the elite.  Now, anyone who can type reasonably quickly can have an online, text-based conversation and match the knowledge of anyone else on many topics (this can be tough for very advanced or specialized topics, obviously).  I suspect that this trend will continue until anyone can retrieve any fact instantaneously.<br/><br/>The implications this has for culture are immense.  Once memorization of fact is no longer a measure of the intellectual elite, intelligence will be judged along other axes; the ability to synthesize existing content (analysis) and the ability to create new content (art).  The stigma that exists against artists will disappear, and we will be left with a culture in which artists are not only lauded as worthwhile members of society, but financially supported by society.<br/><br/><h3>Portrait of a Transhuman</h3><br/>Let's look at what transhumans might look like at a point in the near future.<br/><br/>He wears sunglasses with transparent <a href="http://en.wikipedia.org/wiki/Organic_light-emitting_diode">OLED</a> overlays and a bluetooth radio that communicates with his personal Mobile Device (the successor to the smart phone).  The overlay provides a Heads-Up Display; in it, he sees that he has 3 unread emails, 4 new <a href="http://en.wikipedia.org/wiki/RSS">RSS</a> items, and an instant message from his wife.  A pinhole camera in the glasses tracks his eye movements and responds to them; he keeps his gaze on the IM for a moment and it expands.  His wife is asking him to pick a restaurant for dinner.  A second pinhole camera looks outward from the glasses, feeding data about his surroundings to the Mobile Device.  He looks at a restaurant down the block, and a moment later his HUD provides a menu, operating hours, and reviews.  He pulls out his Mobile Device and types a quick reply to his wife.<br/><br/>All of the technology I just described already exists; it just needs to be made small enough, responsive enough, and accurate enough.  Protocols and standards need to be developed, and our access to information needs to be made a public commodity.  Once this is achieved, we will have the future.  What we'll do with it, I have no idea.