---
deprecated: true
excerpt_separator: <br/>
category: media
layout: post
title: 'Wandering Son Reflections: Episode 6 - "Bunkasai"'
date: '2012-01-25T23:00:00.000-05:00'
author: Anna Wiggins
tags:
- Wandering Son
- Media
- Hōrō Musuko
- transgender
modified_time: '2013-10-22T11:19:51.858-04:00'
blogger_id: tag:blogger.com,1999:blog-4209116010564764361.post-2303773385345999615
blogger_orig_url: http://www.stringofbits.net/2012/01/wandering-son-reflections-episode-6.html
---

You can watch the episode <a href="http://www.crunchyroll.com/hourou-musuko-wandering-son/episode-6-cultural-festival-568422">here</a>.<br/><br/><strong>Spoiler Warning</strong><br/><br/>When I transitioned, I took all of my men's clothes, put them in trash bags, and gave them away. This was a very cathartic experience - the moment I left the lie behind forever. I've noticed that a lot of trans women are sentimental like that.<br/><br/>So, when Yuki puts on a men's suit to attend the play, it struck me as odd - keeping that kind of reminder of my past life around is something that I actively avoid, and I know the same is true for many trans women. This is, then, a great example of the fact that everyone's experience is different. Exactly what being trans means to Yuki probably doesn't match what it means for Shūichi, or Mako, or Yoshino. Or me. The show has been pretty good at conveying that already, actually, but this really drives it home for me.<br/><br/>This episode gives us several examples of the thing that this show does the best: presenting an understanding and empathetic portrayal of trans people without feeling heavy-handed or contrived. It is a glimpse into the lives of several trans people, how they think and feel and how they deal with navigating in a world of uncertainty. It's the genuine sense of empathy here that keeps the show from feeling sensationalizing - the focus is often on the trans experience of these characters, sure, but it also takes great pains to ensure that the characters feel like actual individual people and not just something to gawk and giggle at. In other words, even though the show is explicitly <em>about</em> gender issues, it never feels like it's all <em>about gender issues</em>.<br/><br/>Our first example is the one we already discussed above: Yuki feels the need to cross-dress to go back to her old school. This is something that I refer to in my own head as the Double Life Problem. See, the problem is that even a successful, pretty, fully transitioned trans woman can find herself buried by self-consciousness and doubt about her ability to pass the moment that <em>history</em> enters the picture. Obviously this is not a universal truth - see "everyone's experience is different", above. But for many of us, I suspect, our lives are divided into two sections: before we transitioned and after we transitioned (and of course, there's the liminal phase of "during transition", but that is, we hope, as brief as possible). And so our social circles can likewise be grouped into 'people who met us before we transitioned' and 'people who met us after we transitioned'.<br/><br/>So when Yuki decides to dress as a man when going back into a group of people (her schoolteachers) that haven't seen her since she transitioned, it's safe to assume it is out of fear that she might be recognized. People in general will often go to great lengths to avoid embarrassment, and added to that is the dysphoria that would accompany someone excitedly calling you by your old name and then asking why you're dressed like a girl. Yuki appears to have decided that it's better to endure a little known dysphoria than to chance the possibility of a larger amount of dysphoria coupled with public embarrassment. This is not the choice I would make, personally - I refuse to pretend any more, no matter the situation. But that works well for me; obviously Yuki prioritizes differently. Either way, this is another insight into what it means to be trans on a very real and human level. The story is very clearly about these individuals and their experiences, instead of claiming to be about trans people as an entire group - yet at the same time it finds a way to hit on a lot of widely shared aspects of trans experience.<br/><br/>The next example we get of the show's empathy and insight is a subtle part of a larger scene. Yuki comments that it's "too bad" that Shūichi won't be Juliet in the play. Mako, who is playing Juliet and who has gender identity issues of his own, is standing nearby and holding the dress he is going to be wearing. When he hears Yuki saying it is 'too bad' that he won't be playing Juliet, Mako clutches the dress to him slightly. The camera lingers on this for just a moment, but it is the most expressive scene in the episode. This is very effective visual storytelling, evocatively highlighting Mako's own gender identity issues, and the way they consistently take a back seat to Shūichi's.<br/><br/>This moment is also the first time all four of the show's gender variant characters are in the same place, and the gesture underscores the fact that they are all in different places with accepting and embracing their gender identities. We have Yuki, the role model of successful transition and passing as cisgender (ironically cross-dressing for the first time in years). Shūichi and Yoshino are both in a place where their gender identity is largely accepted (if not fully understood) by their friends, and are slowly becoming more vocal and confident about it. Mako, on the other hand, is still struggling to articulate his feelings. He isn't as confident as Shūichi, to the point that he hasn't even expressed to his friends how much having the role of Juliet means to him. His friends (well, Shūichi, at least) know that he enjoys cross-dressing, but they don't have any clue about the extension of that into gender dysphoria (which, as we'll see in a bit, Mako does seem to have). In addition, Mako feels that he is not "pretty enough" to be a girl, as he has explicitly mentioned in the past when contrasting himself with Shūichi.<br/><br/>At the opening of the play itself, Mako freezes, and he says (in internal monologue) "everyone is staring at me". This is the first time Mako has ever dressed as a girl in public. He is duly shocked. Despite the social acceptability of this particular gender variance, Mako is very self-conscious. And this is a feeling I understand deeply. Being trans is often something that takes a long time to accept (that is to say, it gets heavily repressed and undoing that takes a long time), and that acceptance is an incremental process. Some (possibly many) trans people, myself included, identify as cross-dressers for some amount of time. Cross-dressing (although the term becomes a misnomer when you later find that you are trans) is typically a very private thing; it is something that social stigma drives us to do in private. So, to dress as a girl and then be seen in public is like having a deep and shameful secret suddenly exposed. Even if it is in a socially acceptable context, or if no one recognizes you. Getting over that internalized idea - that dressing like a girl was something I should only do in private - took a concentrated act of will. And it took time. Mako, on the other hand, hasn't had any of that time to adjust. So he freezes.<br/><br/>Speaking of the play, let's talk about its context within Japanese education system. Bunkasai (文化祭) means '<a href="http://en.wikipedia.org/wiki/Japanese_Cultural_Festival">cultural festival</a>', and is an aspect of Japanese culture that has no analogue in US culture. So, the trappings and conventions here are a bit unusual to a Western audience. It is basically a sort of show-and-tell to the world, where students can provide some entertainment of cultural merit for friends and family. It's not optional - all students are expected to participate as a requirement for graduation, although I get the impression that it isn't <em>graded</em> per se. Bunkasai are held from the elementary level through university, although at the university level they are no longer mandatory. Plays are a fairly common choice for classes to present.<br/><br/>Another notable thing about the play is the way that it uses gender; all of the actors are intended to have the gender roles reversed, including the trans characters. In other words, Juliet (a trans girl) is meant to be played by a cisgender boy. Likewise, Romeo is played by a cisgender girl. This is a subtle nod to the validity of trans people's gender identity. If a girl had been cast to play Juliet, it would have implied that Juliet was a male character; by putting a (ostensible) boy in the role, it suggests that the characters involved have no problem accepting Juliet's gender identity as valid and true. That this choice goes unremarked throughout the show may imply an unrealistic world (in which trans acceptance is far more advanced than it really is), but it's a welcome, validating nod all the same. After all, the show portrays plenty of social backlash at other times, so it's nice to establish the play firmly as a narrative victory on this issue.<br/><br/>After the play, we get our first real sense that Mako is decidedly gender dysphoric as opposed to just a cross-dresser. He laments to Saorin that "all I wanted was for someone to see me as Juliet". Shortly thereafter, Saorin does what may be the first genuinely nice thing the character has done: she gives Saorin some flowers (that had been given to her earlier), and lies, telling him that she was told to give them "to Juliet." When he is then predictably flustered, she says "All that matters is that someone saw you as Juliet." This explicitly acknowledges both that Mako has dysphoria and that Saorin knows it (and acknowledges his evolving gender identity as valid). This contrasts sharply with her refusal to acknowledge Shūichi's gender identity, which just adds more evidence that she was simply being spiteful and jealous in her <a href="http://stringofbits.net/2011/12/22/wandering-son-reflections-episode-4-watashi-no-namae-o-ageru/">previous tirade</a>.<br/><br/>While he's still very much a background character, this episode gave Mako both definition and character development. And Mako resonates strongly with me, because his experience is a reasonable match for my own experience around that age, particularly the feeling that it isn't worth trying to be a girl if you don't already look feminine enough; that thought was one of the strong motivators that kept me from transitioning much, much earlier than I did. I'm glad that they gave this character more of a voice here, although unfortunately he will fade into the background again for the rest of the series.